Adium

Opened 10 years ago

Closed 8 years ago

Last modified 8 years ago

#13654 closed defect (notadiumcode)

"Signed in from another location" (libpurple)

Reported by: jaimeeee Owned by:
Milestone: Component: Service/MSN
Version: 1.4.3rc1 Severity: major
Keywords: MPOP, MSN Cc:
Patch Status:

Description

Summary

Since today every time I try to log in to MSN I get disconnected, it tells me it was because I signed in from another location (which isn't).

I changed my password in case someone was logging in from somewhere else, but it's still happening, I have another account and I sent me offline messages while I was "in another location" and when I logged in again the offline message was there, so nobody logged in in that time.

When I succesfully log in I get disconnected after some minutes (without any reason) and when I try to log in again the "Logged in another location" alert appears.

Steps to reproduce

Detail the exact steps taken to produce the bug. Use the following format, each line with " 1." before it:

  1. Open Adium, connecting...
  2. When it appears to be connected a "Signed in another location" alert appears
  3. Disconnected

Expected results

To log in.

Actual results

Not logging in.

If you're pasting any kind of plain text, wrap it in "code blocks" like so:

12:21:54: -[AIAccount(Abstract) retrievePasswordThenConnect]: Retrieving <ESPurpleMSNAccount:f73ede0 1>:mymail@hotmail.com's password (promptOption 0)
12:21:54: <ESPurpleMSNAccount:f73ede0 1>:mymail@hotmail.com: Updating status for key: Online
12:21:54: Original image of size 218.000000 218.000000
12:21:54: <ESPurpleMSNAccount:f73ede0 1>:mymail@hotmail.com: Scaled image to size {96, 96}
12:21:54: -[CBPurpleAccount setAccountUserImage:withData:]: <ESPurpleMSNAccount:f73ede0 1>:mymail@hotmail.com setting icon data of length 20991
12:21:54: -[AIWebKitMessageViewController listObjectAttributesChanged:]: <ESPurpleMSNAccount:f73ede0 1>:mymail@hotmail.com's icon changed
12:21:54: -[AIWebKitMessageViewController listObjectAttributesChanged:]: <ESPurpleMSNAccount:f73ede0 1>:mymail@hotmail.com's icon changed
12:21:54: -[AIWebKitMessageViewController listObjectAttributesChanged:]: <ESPurpleMSNAccount:f73ede0 1>:mymail@hotmail.com's icon changed
12:21:54: <ESPurpleMSNAccount:f73ede0 1>:mymail@hotmail.com: Updating status for key: User Icon
12:21:54: Adium: Connect: mymail@hotmail.com initiating connection using status state <AIStatus: 342f4e0 [Come with me to the…]> (Come with me to the coast).
12:21:54: Setting status on 10c376e0 (mymail@hotmail.com): ID invisible, isActive 1, attributes {
    message = "<FONT FACE=\"Tahoma\"><FONT COLOR=\"#008080\"><B>Come with me to the coast</B>";
}
12:21:54: (Libpurple: status) The attribute "message" on the status "Invisible" is not supported.
12:21:54: (Libpurple: account) Connecting to account mymail@hotmail.com.
12:21:54: (Libpurple: connection) Connecting. gc = 0x10e83640
12:21:54: (Libpurple: msn) new httpconn (0x11c75030)
12:21:54: Connecting: gc=0x10e83640 (Conectando) 0 / 9
12:21:54: (Libpurple: dns) DNS query for 'messenger.hotmail.com' queued
12:21:54: ************ mymail@hotmail.com --step-- 0
12:21:54: -[AdiumPurpleDnsRequest startLookup]: Performing DNS resolve: messenger.hotmail.com:1863
12:21:54: DNS resolve complete for messenger.hotmail.com:1863
12:21:54: (Libpurple: dnsquery) IP resolved for messenger.hotmail.com
12:21:54: (Libpurple: proxy) Attempting connection to 64.4.50.62
12:21:54: (Libpurple: proxy) Connecting to messenger.hotmail.com:1863 with no proxy
12:21:54: (Libpurple: proxy) Connection in progress
12:21:55: (Libpurple: proxy) Connecting to messenger.hotmail.com:1863.
12:21:55: (Libpurple: proxy) Connected to messenger.hotmail.com:1863.
12:21:55: Connecting: gc=0x10e83640 (Negociación) 1 / 9
12:21:55: (Libpurple: msn) C: NS 000: VER 1 MSNP15 CVR0
12:21:55: Called write with no write_tag <SourceInfo 0x11a60140: Socket 0x11ca5530: fd 12; timer_tag 0; read_tag 1479; write_tag 0>
12:21:55: ************ mymail@hotmail.com --step-- 1
12:21:55: (Libpurple: msn) S: NS 000: VER 1 MSNP15
12:21:55: (Libpurple: msn) C: NS 000: CVR 2 0x0409 winnt 5.1 i386 MSNMSGR 8.5.1302 BC01 mymail@hotmail.com
12:21:55: (Libpurple: msn) S: NS 000: CVR 2 14.0.8089 14.0.8089 14.0.8089 http://msgruser.dlservice.microsoft.com/download/7/5/8/758BFCC9-1744-48F7-8162-E0AC1E7BF5C8/en/wlsetup-cvr.exe http://download.live.com/?sku=messenger
12:21:55: (Libpurple: msn) C: NS 000: USR 3 SSO I mymail@hotmail.com
12:21:55: (Libpurple: msn) S: NS 000: XFR 3 NS 65.54.189.79:1863 U D
12:21:55: Connecting: gc=0x10e83640 (Transfiriendo) 2 / 9
12:21:55: (Libpurple: dns) DNS query for '65.54.189.79' queued
12:21:55: ************ mymail@hotmail.com --step-- 2
12:21:55: (Libpurple: dnsquery) IP resolved for 65.54.189.79
12:21:55: (Libpurple: proxy) Attempting connection to 65.54.189.79
12:21:55: (Libpurple: proxy) Connecting to 65.54.189.79:1863 with no proxy
12:21:55: (Libpurple: proxy) Connection in progress
12:21:55: (Libpurple: proxy) Connecting to 65.54.189.79:1863.
12:21:55: (Libpurple: proxy) Connected to 65.54.189.79:1863.
12:21:55: Connecting: gc=0x10e83640 (Negociación) 3 / 9
12:21:55: (Libpurple: msn) C: NS 000: VER 4 MSNP15 CVR0
12:21:55: ************ mymail@hotmail.com --step-- 3
12:21:55: (Libpurple: msn) S: NS 000: VER 4 MSNP15
12:21:55: (Libpurple: msn) C: NS 000: CVR 5 0x0409 winnt 5.1 i386 MSNMSGR 8.5.1302 BC01 mymail@hotmail.com
12:21:55: (Libpurple: msn) S: NS 000: CVR 5 14.0.8089 14.0.8089 14.0.8089 http://msgruser.dlservice.microsoft.com/download/7/5/8/758BFCC9-1744-48F7-8162-E0AC1E7BF5C8/en/wlsetup-cvr.exe http://download.live.com/?sku=messenger
12:21:55: (Libpurple: msn) C: NS 000: USR 6 SSO I mymail@hotmail.com
12:21:55: (Libpurple: msn) S: NS 000: GCF 0 4804
12:21:55: (Libpurple: msn) Processing GCF command
12:21:56: (Libpurple: msn) S: NS 000: USR 6 SSO S MBI_KEY_OLD TKkaN/dkaIkUOXIB/hiz8X9OFTLJeijz9amNr2+Sl2f0HLyro4gVIxCVDU+S99VQ
12:21:56: Connecting: gc=0x10e83640 (Empezando la autenticación) 4 / 9
12:21:56: (Libpurple: msn) Starting Windows Live ID authentication
12:21:56: Connecting: gc=0x10e83640 (Autenticando) 6 / 9
12:21:56: (Libpurple: msn) Logging on mymail@hotmail.com, with policy 'MBI_KEY_OLD', nonce 'TKkaN/dkaIkUOXIB/hiz8X9OFTLJeijz9amNr2+Sl2f0HLyro4gVIxCVDU+S99VQ'
12:21:56: ************ mymail@hotmail.com --step-- 4
12:21:56: ************ mymail@hotmail.com --step-- 6
12:21:56: (Libpurple: dns) DNS query for 'login.live.com' queued
12:21:56: -[AdiumPurpleDnsRequest startLookup]: Performing DNS resolve: login.live.com:443
12:21:56: DNS resolve complete for login.live.com:443
12:21:56: (Libpurple: dnsquery) IP resolved for login.live.com
12:21:56: (Libpurple: proxy) Attempting connection to 65.54.186.109
12:21:56: (Libpurple: proxy) Connecting to login.live.com:443 with no proxy
12:21:56: (Libpurple: proxy) Connection in progress
12:21:56: (Libpurple: proxy) Connecting to login.live.com:443.
12:21:56: (Libpurple: proxy) Connected to login.live.com:443.
12:21:56: (Libpurple: cdsa) Connecting
12:21:56: Called write with no write_tag <SourceInfo 0x11a6b7f0: Socket 0x11b9e7c0: fd 13; timer_tag 0; read_tag 1487; write_tag 0>
12:21:56: (Libpurple: cdsa) Connecting
12:21:56: (Libpurple: cdsa) Connecting
12:21:56: (Libpurple: cdsa) Connecting
12:21:56: (Libpurple: cdsa) Connecting
12:21:56: (Libpurple: cdsa) SSL_connect: verifying certificate
12:21:56: (Libpurple: cdsa) SSL_connect complete
12:21:56: (Libpurple: soap) Sending secure request.
12:21:56: Called write with no write_tag <SourceInfo 0x11a57ad0: Socket 0xf7dcdd0: fd 13; timer_tag 0; read_tag 1490; write_tag 0>
12:21:57: (Libpurple: soap) read 335 bytes
12:21:57: (Libpurple: soap) Received secure request.
12:21:57: (Libpurple: soap) Received secure request.
12:21:57: (Libpurple: soap) Received secure request.
12:21:57: (Libpurple: soap) Received secure request.
12:21:57: (Libpurple: soap) Received secure request.
12:21:57: (Libpurple: soap) Received secure request.
12:21:57: (Libpurple: soap) Received secure request.
12:21:57: (Libpurple: soap) Received secure request.
12:21:57: (Libpurple: soap) Received secure request.
12:21:57: (Libpurple: soap) Received secure request.
12:21:57: (Libpurple: soap) Received secure request.
12:21:57: (Libpurple: soap) read 14184 bytes
12:21:57: (Libpurple: cdsa) receive failed (-9802): Unknown error: 0
12:21:57: (Libpurple: soap) read: Unknown error: 0
12:21:57: (Libpurple: soap) Received secure request.
12:21:57: (Libpurple: msn) Updated ticket for domain 'messengerclear.live.com', expires at 1263003717.
12:21:57: (Libpurple: msn) Updated ticket for domain 'messenger.msn.com', expires at 1262975417.
12:21:57: (Libpurple: msn) Updated ticket for domain 'contacts.msn.com', expires at 1263003717.
12:21:57: (Libpurple: msn) Updated ticket for domain 'messengersecure.live.com', expires at 1263061317.
12:21:57: (Libpurple: msn) Updated ticket for domain 'spaces.live.com', expires at 1263003717.
12:21:57: (Libpurple: msn) Updated ticket for domain 'livecontacts.live.com', expires at 1263003717.
12:21:57: (Libpurple: msn) Updated ticket for domain 'storage.live.com', expires at 1263003717.
12:21:57: Connecting: gc=0x10e83640 (Enviando cookie) 7 / 9
12:21:57: (Libpurple: msn) C: NS 000: USR 7 SSO S t=EwBoAswbAQAUs1/VcBU2sH7mwYy3BysWZ71CRDGAAAeK0Isjz2WRu/1kb/c1SyMHUsIrzonf5HuYi/d4w8YBsQb8mAhr1Xng6kjsSst7yMqasZio2NolvXgnB7xxDL/lQs+xPgK9ksAAitY3KeunL8V7ml6ADOHATnPRpVj/qTOo6O9A9nNooc4/mydQWjr+kkRMMyZAjPhhrECq7ZuhA2YAAAi6sAWLpVKg9LgB1zCTIkmYnNVrM9TRCbBGnh9V1bNWyHlZlaQFH7s2iqGj71zToYXPpYS4rbvf0IdTpJBfbp2JMtx/+PEXj2Y84QEr/XkvETlBoEqiy0hWN0J7QsgTkxbeZHdDilRv3jstvzascSKjGYHiQWP+YjkNnWI62978OqbHBP3cucpsKXlesIyepIJnkQk1ozanUnEfTBAvF53ZBHO+H2M5Ip7paFEQPnuCPwOvhjcXA+eR2SMcWLLgw/tahSd/LyqjwwbdcepBOQla7uquBPjhg+o3enaRHA8XKMeRkb4PcwiIW4STHF2nifYTyKCCUvKq9onVPPGb1fUcqccyT1BtbNCjYmYsgEDl7opIV7xjxfzvogpKcIUK95YVe2UDBEAkOJCmYo2bmi1pfBAOw4sImfYRx7EXtPy2UYQ+3WjjDMfCEw7MQS8Ji7WmB2DfosoH/OhtTJM5wGLOx5W/QnxZG9fKV+BDsdbRmsHP91uFMG84nK/XCMJI7PfXHLqswyEtOdNK9pGk4aS+rrwX4APdkHYO0NPBYNvsfMcEEN5gc+uoSwAdcERt93Mu/wlSgBWqXX91aBKbgBXYbNvSAQ==&p= HAAAAAEAAAADZgAABIAAAAgAAAAUAAAASAAAAF3UnxO7Ly9iCEASU5fuEiIMk4MyMYPYBjhOsjf8VhVwP9hDvR0h4rqiJFoeMvyKkJVaMrrD7yEbPX7rX4gnlCAxtXB29CQ5TZ1EmH5FGt/MQOae9AWA44TqAWI5g7yy15KOcWQ=
12:21:57: ************ mymail@hotmail.com --step-- 7
12:21:59: (Libpurple: msn) S: NS 000: USR 7 OK mymail@hotmail.com 1 0
12:21:59: Connecting: gc=0x10e83640 (Recuperando lista de amigos) 8 / 9
12:21:59: ************ mymail@hotmail.com --step-- 8
12:21:59: (Libpurple: msn) S: NS 000: MSG Hotmail Hotmail 1247
12:21:59: (Libpurple: msn) Processing MSG... 
12:21:59: (Libpurple: msn) Getting Contact List.
12:21:59: (Libpurple: dns) DNS query for 'omega.contacts.msn.com' queued
12:21:59: -[AdiumPurpleDnsRequest startLookup]: Performing DNS resolve: omega.contacts.msn.com:443
12:21:59: (Libpurple: msn) S: NS 000: OUT OTH
12:21:59: (Libpurple: msn) C: NS 000: OUT
12:21:59: (Libpurple: connection) Connection error on 0x10e83640 (reason: 6 description: Se ha conectado desde otra ubicación)
12:21:59: Connection Disconnected: gc=10e83640 (Se ha conectado desde otra ubicación)
12:21:59: <ESPurpleMSNAccount:f73ede0 1>:mymail@hotmail.com accountConnectionReportDisconnect: Se ha conectado desde otra ubicación
12:21:59: DNS resolve complete for omega.contacts.msn.com:443
12:21:59: (Libpurple: dnsquery) IP resolved for omega.contacts.msn.com
12:21:59: (Libpurple: proxy) Attempting connection to 207.46.113.78
12:21:59: (Libpurple: proxy) Connecting to omega.contacts.msn.com:443 with no proxy
12:21:59: (Libpurple: proxy) Connection in progress
12:21:59: (Libpurple: account) Disconnecting account mymail@hotmail.com (0x10c376e0)
12:21:59: (Libpurple: connection) Disconnecting connection 0x10e83640
12:21:59: (Libpurple: msn) Operation {} failed. No response received from server.
12:21:59: (Libpurple: msn) destroy the OIM 0x10e1b6f0
12:21:59: (Libpurple: msn) destroy httpconn (0x11c75030)
12:21:59: Disconnected: gc=10e83640
12:21:59: <ESPurpleMSNAccount:f73ede0 1>:mymail@hotmail.com: Telling the core we disconnected
12:21:59: <ESPurpleMSNAccount:f73ede0 1>:mymail@hotmail.com: Disconnected: Will not reconnect
12:21:59: Posting Growl notification: Event ID: Interface_ErrorMessageReceived, listObject: (null), chat: (null), description: mymail@hotmail.com (MSN) : Error
Se ha conectado desde otra ubicación
12:21:59: (Libpurple: connection) Destroying connection 0x10e83640
12:21:59: (Libpurple: util) Writing file accounts.xml to directory /Users/Jaime/Library/Application Support/Adium 2.0/Users/Default/libpurple
12:21:59: (Libpurple: util) Writing file /Users/Jaime/Library/Application Support/Adium 2.0/Users/Default/libpurple/accounts.xml


Attachments (1)

MSN Connection Log.txt.zip (43.5 KB) - added by ShawnRisk 8 years ago.
When I log into Hotmail and close this down and try to log into MSN on Adium, this is the debug log.

Download all attachments as: .zip

Change History (81)

comment:1 Changed 10 years ago by Robby

  • Resolution set to notadiumcode
  • Status changed from new to closed

This will require support in LibPurple. Please file this report on the Pidgin Trac.

comment:2 Changed 9 years ago by sphynx

  • Resolution notadiumcode deleted
  • Status changed from closed to new
  • Version changed from 1.4b17 to 1.4.1

Robby, this was not a request for multiple logins on MSN, it seems to be a genuine bug when logging in to MSN and be disconnected immediately (http://forums.cocoaforge.com/viewtopic.php?f=13&t=23044).

comment:3 Changed 9 years ago by sphynx

Ticket #14946 has been marked as a duplicate of this ticket.

comment:4 Changed 9 years ago by erikaleec

Hello, i got the exact same problem as this user.
And i have looked on all forums outside Adium with no answer, could you please help?+
Thanks

comment:5 Changed 9 years ago by eriq

As requested in ticket #14946, a debug logfile from a successful connection via Pidgin. I edited out my public IP address as well as (hopefully) all of my contacts' email addresses.

...
(17:51:25) upnp: NAT Returned IP: 213.93.xxx.xxx
(17:51:28) connection: Connecting. gc = 044AC258
(17:51:28) msn: new httpconn (03EEC298)
(17:51:28) dnsquery: Performing DNS lookup for messenger.hotmail.com
(17:51:28) dnsquery: IP resolved for messenger.hotmail.com
(17:51:28) proxy: Attempting connection to 64.4.45.62
(17:51:28) proxy: Connecting to messenger.hotmail.com:1863 with no proxy
(17:51:28) proxy: Connection in progress
(17:51:28) proxy: Connecting to messenger.hotmail.com:1863.
(17:51:28) proxy: Connected to messenger.hotmail.com:1863.
(17:51:28) msn: C: NS 000: VER 1 MSNP16 MSNP15 CVR0
(17:51:28) msn: S: NS 000: VER 1 MSNP16
(17:51:28) msn: Negotiated protocol version 16 with the server.
(17:51:28) msn: C: NS 000: CVR 2 0x0409 winnt 5.1 i386 MSNMSGR 8.5.1302 BC01 myemail@gmail.com
(17:51:28) msn: S: NS 000: CVR 2 14.0.8117 14.0.8117 14.0.8117 h t t p : / /msgruser.dlservice.microsoft.com/download/A/6/1/A616CCD4-B0CA-4A3D-B975-3EDB38081B38/en/wlsetup-cvr.exe h t t p : / /download.live.com/?sku=messenger
(17:51:28) msn: C: NS 000: USR 3 SSO I myemail@gmail.com
(17:51:28) msn: S: NS 000: XFR 3 NS 64.4.44.91:1863 U D
(17:51:28) dnsquery: Performing DNS lookup for 64.4.44.91
(17:51:28) dnsquery: IP resolved for 64.4.44.91
(17:51:28) proxy: Attempting connection to 64.4.44.91
(17:51:28) proxy: Connecting to 64.4.44.91:1863 with no proxy
(17:51:28) proxy: Connection in progress
(17:51:29) proxy: Connecting to 64.4.44.91:1863.
(17:51:29) proxy: Connected to 64.4.44.91:1863.
(17:51:29) msn: C: NS 000: VER 4 MSNP16 MSNP15 CVR0
(17:51:29) msn: S: NS 000: VER 4 MSNP16
(17:51:29) msn: Negotiated protocol version 16 with the server.
(17:51:29) msn: C: NS 000: CVR 5 0x0409 winnt 5.1 i386 MSNMSGR 8.5.1302 BC01 myemail@gmail.com
(17:51:29) msn: S: NS 000: CVR 5 14.0.8117 14.0.8117 14.0.8117 h t t p : / /msgruser.dlservice.microsoft.com/download/A/6/1/A616CCD4-B0CA-4A3D-B975-3EDB38081B38/en/wlsetup-cvr.exe h t t p : / /download.live.com/?sku=messenger
(17:51:29) msn: C: NS 000: USR 6 SSO I myemail@gmail.com
(17:51:29) msn: S: NS 000: GCF 0 5654
(17:51:29) msn: Processing GCF command
(17:51:29) msn: S: NS 000: USR 6 SSO S MBI_KEY Eot7PtzSJ3UFn6sxDD6e7ill7MQvKxv4zLSObr6pgxZtxUPr9zz4DG9410T9XXTj
(17:51:29) msn: Starting Windows Live ID authentication
(17:51:29) msn: Logging on myemail@gmail.com, with policy 'MBI_KEY', nonce 'Eot7PtzSJ3UFn6sxDD6e7ill7MQvKxv4zLSObr6pgxZtxUPr9zz4DG9410T9XXTj'
(17:51:29) dnsquery: Performing DNS lookup for login.live.com
(17:51:29) dnsquery: IP resolved for login.live.com
(17:51:29) proxy: Attempting connection to 65.54.186.107
(17:51:29) proxy: Connecting to login.live.com:443 with no proxy
(17:51:29) proxy: Connection in progress
(17:51:30) util: Writing file prefs.xml to directory C:\Users\Erik\AppData\Roaming\.purple
(17:51:30) util: Writing file C:\Users\Erik\AppData\Roaming\.purple\prefs.xml
(17:51:30) util: Writing file accounts.xml to directory C:\Users\Erik\AppData\Roaming\.purple
(17:51:30) util: Writing file C:\Users\Erik\AppData\Roaming\.purple\accounts.xml
(17:51:30) proxy: Connecting to login.live.com:443.
(17:51:30) proxy: Connected to login.live.com:443.
(17:51:30) nss: subject=CN=login.live.com,OU=Passport,O=Microsoft Corporation,OID.2.5.4.9=One Microsoft Way,L=Redmond,ST=Washington,postalCode=98052,C=US,serialNumber=600413485,OID.2.5.4.15=Private Organization,OID.1.3.6.1.4.1.311.60.2.1.2=Washington,OID.1.3.6.1.4.1.311.60.2.1.3=US issuer=CN=VeriSign Class 3 Extended Validation SSL CA,OU=Terms of use at https://www.verisign.com/rpa (c)06,OU=VeriSign Trust Network,O="VeriSign, Inc.",C=US
(17:51:30) nss: subject=CN=VeriSign Class 3 Extended Validation SSL CA,OU=Terms of use at https://www.verisign.com/rpa (c)06,OU=VeriSign Trust Network,O="VeriSign, Inc.",C=US issuer=CN=VeriSign Class 3 Public Primary Certification Authority - G5,OU="(c) 2006 VeriSign, Inc. - For authorized use only",OU=VeriSign Trust Network,O="VeriSign, Inc.",C=US
(17:51:30) nss: subject=CN=VeriSign Class 3 Public Primary Certification Authority - G5,OU="(c) 2006 VeriSign, Inc. - For authorized use only",OU=VeriSign Trust Network,O="VeriSign, Inc.",C=US issuer=CN=VeriSign Class 3 Public Primary Certification Authority - G5,OU="(c) 2006 VeriSign, Inc. - For authorized use only",OU=VeriSign Trust Network,O="VeriSign, Inc.",C=US
(17:51:30) certificate/x509/tls_cached: Starting verify for login.live.com
(17:51:30) certificate/x509/tls_cached: Checking for cached cert...
(17:51:30) certificate/x509/tls_cached: ...Found cached cert
(17:51:30) nss/x509: Loading certificate from C:\Users\Erik\AppData\Roaming\.purple\certificates\x509\tls_peers\login.live.com
(17:51:30) certificate/x509/tls_cached: Peer cert matched cached
(17:51:30) nss/x509: Exporting certificate to C:\Users\Erik\AppData\Roaming\.purple\certificates\x509\tls_peers\login.live.com
(17:51:30) util: Writing file C:\Users\Erik\AppData\Roaming\.purple\certificates\x509\tls_peers\login.live.com
(17:51:30) certificate: Successfully verified certificate for login.live.com
(17:51:30) soap: Sending secure request.
(17:51:31) util: Writing file blist.xml to directory C:\Users\Erik\AppData\Roaming\.purple
(17:51:31) util: Writing file C:\Users\Erik\AppData\Roaming\.purple\blist.xml
(17:51:31) soap: read 413 bytes
(17:51:31) soap: Received secure request.
(17:51:31) soap: Received secure request.
(17:51:31) soap: Received secure request.
(17:51:31) soap: Received secure request.
(17:51:31) soap: Received secure request.
(17:51:31) soap: Received secure request.
(17:51:31) soap: Received secure request.
(17:51:31) soap: Received secure request.
(17:51:31) soap: read 14493 bytes
(17:51:31) soap: Received secure request.
(17:51:31) msn: Updated ticket for domain 'messengerclear.live.com', expires at 1296262291.
(17:51:31) msn: Updated ticket for domain 'messenger.msn.com', expires at 1296233991.
(17:51:31) msn: Updated ticket for domain 'contacts.msn.com', expires at 1296262291.
(17:51:31) msn: Updated ticket for domain 'messengersecure.live.com', expires at 1296319891.
(17:51:31) msn: Updated ticket for domain 'spaces.live.com', expires at 1296262291.
(17:51:31) msn: Updated ticket for domain 'livecontacts.live.com', expires at 1296262291.
(17:51:31) msn: Updated ticket for domain 'storage.live.com', expires at 1296262291.
(17:51:31) msn: C: NS 000: USR 7 SSO S t=EwAQAswbAQAUs1/VcBU2sH7mwYy3BysWZ71CRDGAAHHQqmyuxRBojbjakavburBTF4mKQASeiR7XWc2zHD2n5RozD+ZGmm+baGMCiISbBTa0Pl8B/BSbkl/skBqGD8pUp0U4XjSvgyS6F+vAyOqsMfxjmv+eOb9o39xZsshNjAHP3JupmYw3fgH41YGcWHJVSKn+CgfPatMYZfZPlROKA2YAAAgdYDJ5HrCnxmABWyI7n5S+R9GeAcB5MpW1jBtTVwaQIyxy/2WspqbXl4+yfjEOQcM2/JG+spXMh7moV06KAAB/DZRKkD/KALFmqnY5vzy8eXZDFfYT1if/8jxZHNnv4c3OQxpRCkrUT7LKMZ2nbs2sC1imBdNUm53nPf3iY3eAGkvTVhRlHfmRS6MOGplQSUVI59PuwkRtdW4lf9TjPosMN7PCJGfXOf9sa3HIIR7LWSjW1QY0IazFe+tk67Ws63vsA3qHScBUzWzbqRAGl225Wo52sILx/ciJ+RKlruo0Ak/wpSJUv72XLK6knNqP8R/RGr9qrAFAFDx7tVmDP6M536YRB2E0G56NlNXF0n5txQ86AgyGwJ+AL1DsQKYe7Xwvd44/hS+mEu1mMbQlkRVZH/iz+ueKs1NcFDRpuqXpxm5C/FjkZ6KKSVwVh5eEmfhEtYuDEWT6tosNrN44h8zXF7zq8lxjUjZFwIQB&p= HAAAAAEAAAADZgAABIAAAAgAAAAUAAAASAAAALMLAACmLgAAV9PPMvFyJJFBK8DK1PT5e0XITlwzk8QU2KJ4d4gVPW0irwF3iLv5qLL1D4h/knZGxf1j6lOUfMLWhRH+3/AiwHGbOLAgO99RBr0gN16ZGfOniWcuIMAcerzC9kk= 12FC37FA-52CC-6C02-7F02-275A70A17A63
(17:51:31) msn: S: NS 000: XFR 0 NS vip.beta.gateway.edge.messenger.live.com:1863 G D
(17:51:31) dnsquery: Performing DNS lookup for vip.beta.gateway.edge.messenger.live.com
(17:51:31) dnsquery: IP resolved for vip.beta.gateway.edge.messenger.live.com
(17:51:31) proxy: Attempting connection to 65.54.52.45
(17:51:31) proxy: Connecting to vip.beta.gateway.edge.messenger.live.com:1863 with no proxy
(17:51:31) proxy: Connection in progress
(17:51:31) proxy: Connecting to vip.beta.gateway.edge.messenger.live.com:1863.
(17:51:31) proxy: Connected to vip.beta.gateway.edge.messenger.live.com:1863.
(17:51:31) msn: C: NS 000: VER 8 MSNP16 MSNP15 CVR0
(17:51:32) msn: S: NS 000: VER 8 MSNP16
(17:51:32) msn: Negotiated protocol version 16 with the server.
(17:51:32) msn: C: NS 000: CVR 9 0x0409 winnt 5.1 i386 MSNMSGR 8.5.1302 BC01 myemail@gmail.com
(17:51:32) msn: S: NS 000: CVR 9 14.0.8117 14.0.8117 14.0.8117 h t t p : / /msgruser.dlservice.microsoft.com/download/A/6/1/A616CCD4-B0CA-4A3D-B975-3EDB38081B38/en/wlsetup-cvr.exe h t t p : / /download.live.com/?sku=messenger
(17:51:32) msn: C: NS 000: USR 10 SSO I myemail@gmail.com
(17:51:32) msn: S: NS 000: XFR 10 NS 65.54.48.183:1863 U D
(17:51:32) dnsquery: Performing DNS lookup for 65.54.48.183
(17:51:32) dnsquery: IP resolved for 65.54.48.183
(17:51:32) proxy: Attempting connection to 65.54.48.183
(17:51:32) proxy: Connecting to 65.54.48.183:1863 with no proxy
(17:51:32) proxy: Connection in progress
(17:51:32) proxy: Connecting to 65.54.48.183:1863.
(17:51:32) proxy: Connected to 65.54.48.183:1863.
(17:51:32) msn: C: NS 000: VER 11 MSNP16 MSNP15 CVR0
(17:51:32) msn: S: NS 000: VER 11 MSNP16
(17:51:32) msn: Negotiated protocol version 16 with the server.
(17:51:32) msn: C: NS 000: CVR 12 0x0409 winnt 5.1 i386 MSNMSGR 8.5.1302 BC01 myemail@gmail.com
(17:51:32) msn: S: NS 000: CVR 12 14.0.8117 14.0.8117 14.0.8117 h t t p : / /msgruser.dlservice.microsoft.com/download/A/6/1/A616CCD4-B0CA-4A3D-B975-3EDB38081B38/en/wlsetup-cvr.exe h t t p : / /download.live.com/?sku=messenger
(17:51:32) msn: C: NS 000: USR 13 SSO I myemail@gmail.com
(17:51:33) msn: S: NS 000: GCF 0 5656
(17:51:33) msn: Processing GCF command
(17:51:33) msn: S: NS 000: USR 13 SSO S MBI_KEY rnuCDVDM9z7PL+UZ1jbK7ZtJVTrgzPMMjPx4TU1U+2FZWoDmniKFEaOCcaMaA5z/
(17:51:33) msn: Starting Windows Live ID authentication
(17:51:33) msn: Logging on myemail@gmail.com, with policy 'MBI_KEY', nonce 'rnuCDVDM9z7PL+UZ1jbK7ZtJVTrgzPMMjPx4TU1U+2FZWoDmniKFEaOCcaMaA5z/'
(17:51:33) dnsquery: Performing DNS lookup for login.live.com
(17:51:33) dnsquery: IP resolved for login.live.com
(17:51:33) proxy: Attempting connection to 65.54.186.107
(17:51:33) proxy: Connecting to login.live.com:443 with no proxy
(17:51:33) proxy: Connection in progress
(17:51:33) proxy: Connecting to login.live.com:443.
(17:51:33) proxy: Connected to login.live.com:443.
(17:51:33) nss: subject=CN=login.live.com,OU=Passport,O=Microsoft Corporation,OID.2.5.4.9=One Microsoft Way,L=Redmond,ST=Washington,postalCode=98052,C=US,serialNumber=600413485,OID.2.5.4.15=Private Organization,OID.1.3.6.1.4.1.311.60.2.1.2=Washington,OID.1.3.6.1.4.1.311.60.2.1.3=US issuer=CN=VeriSign Class 3 Extended Validation SSL CA,OU=Terms of use at https://www.verisign.com/rpa (c)06,OU=VeriSign Trust Network,O="VeriSign, Inc.",C=US
(17:51:33) nss: subject=CN=VeriSign Class 3 Extended Validation SSL CA,OU=Terms of use at https://www.verisign.com/rpa (c)06,OU=VeriSign Trust Network,O="VeriSign, Inc.",C=US issuer=CN=VeriSign Class 3 Public Primary Certification Authority - G5,OU="(c) 2006 VeriSign, Inc. - For authorized use only",OU=VeriSign Trust Network,O="VeriSign, Inc.",C=US
(17:51:33) nss: subject=CN=VeriSign Class 3 Public Primary Certification Authority - G5,OU="(c) 2006 VeriSign, Inc. - For authorized use only",OU=VeriSign Trust Network,O="VeriSign, Inc.",C=US issuer=CN=VeriSign Class 3 Public Primary Certification Authority - G5,OU="(c) 2006 VeriSign, Inc. - For authorized use only",OU=VeriSign Trust Network,O="VeriSign, Inc.",C=US
(17:51:33) certificate/x509/tls_cached: Starting verify for login.live.com
(17:51:33) certificate/x509/tls_cached: Checking for cached cert...
(17:51:33) certificate/x509/tls_cached: ...Found cached cert
(17:51:33) nss/x509: Loading certificate from C:\Users\Erik\AppData\Roaming\.purple\certificates\x509\tls_peers\login.live.com
(17:51:33) certificate/x509/tls_cached: Peer cert matched cached
(17:51:33) nss/x509: Exporting certificate to C:\Users\Erik\AppData\Roaming\.purple\certificates\x509\tls_peers\login.live.com
(17:51:33) util: Writing file C:\Users\Erik\AppData\Roaming\.purple\certificates\x509\tls_peers\login.live.com
(17:51:33) certificate: Successfully verified certificate for login.live.com
(17:51:33) soap: Sending secure request.
(17:51:34) soap: read 413 bytes
(17:51:34) soap: Received secure request.
(17:51:34) soap: Received secure request.
(17:51:34) soap: Received secure request.
(17:51:34) soap: Received secure request.
(17:51:34) soap: Received secure request.
(17:51:34) soap: Received secure request.
(17:51:34) soap: Received secure request.
(17:51:34) soap: Received secure request.
(17:51:34) soap: read 14493 bytes
(17:51:34) soap: Received secure request.
(17:51:34) msn: Updated ticket for domain 'messengerclear.live.com', expires at 1296262294.
(17:51:34) msn: Updated ticket for domain 'messenger.msn.com', expires at 1296233994.
(17:51:34) msn: Updated ticket for domain 'contacts.msn.com', expires at 1296262294.
(17:51:34) msn: Updated ticket for domain 'messengersecure.live.com', expires at 1296319894.
(17:51:34) msn: Updated ticket for domain 'spaces.live.com', expires at 1296262294.
(17:51:34) msn: Updated ticket for domain 'livecontacts.live.com', expires at 1296262294.
(17:51:34) msn: Updated ticket for domain 'storage.live.com', expires at 1296262294.
(17:51:34) msn: C: NS 000: USR 14 SSO S t=EwAQAswbAQAUs1/VcBU2sH7mwYy3BysWZ71CRDGAAAuQ7XqNNZIHLiMwSStjXqzT/7yV2A+rDEid51bfPlaZ9UrDhE0C2shPd54xxqqBsI0NpC7dhhBw33Nwm+d8G6acI/wq58tqBYxEyPk+EXazNgILZon+PCntc2AA5L2LI/+3Y84IvDRauIeldch8gSYVSKX5MZ2bZhYiS1jrHMYMA2YAAAhJ8Wj1ZBhw7GABRnzgSxwSXxuTK/1/2OZq4dpjn0QOktbfwMXrFvM7BhhN2gzBn5vurWyi1m4VnaVm5j/jUTx5Zl+sRihSWR2+a06CZfHqWDOsRv/jI0Y6oep2SxeyVeeghQNsqIBovJvmVBKowaniYQPCDmOK5uOBHIQkr3D5z6Q5470i58iuJyruS3kEpH7mhA9G5dF8dESRQ1gMG788W+LYCIyFAXRO/AHDLbbUoGIH+Th8MRkqhYcCD2ohz1X69xMDdgKWa96A+VZRPsJpefLf+lFqNSEYArcnOML83SC0CUuiNYX/6IHcS7JjWxUU1Wqoj9EIJGuGHi/UBdyvL3oEWm1g/RpqgJmkTmDBsi+bfencnAE5FSG+HBHXZhhFsFP6ZVjj0L3C8n/MAQ94jAsZ3Qmwd/9IHrvmlOd+Gd7zwhqtY8P0UKgd6Zv8HmaEsh98usxDG9Yw2qlAxsa/saD3K/U+lzupsIQB&p= HAAAAAEAAAADZgAABIAAAAgAAAAUAAAASAAAANsSAAA8FQAAEBkKpNrpcSgT0YnKbSquS4l74yxsjWWaGEn0Lv5ug6eTIgRBvjVOvO+eZJo5CNkwoQH4pEdT32eW1yTJ+J7ChVPY8LYsAfwS2tI+V5J/bQ9Gm5vOzeQcsPy0REI= 12FC37FA-52CC-6C02-7F02-275A70A17A63
(17:51:34) msn: S: NS 000: USR 14 OK myemail@gmail.com 1 0
(17:51:34) msn: S: NS 000: SBS 0 null
(17:51:34) msn: Processing SBS... 
(17:51:34) msn: S: NS 000: MSG Hotmail Hotmail 1109
(17:51:34) msn: Processing MSG... 
(17:51:34) msn: Getting Contact List.
(17:51:34) msn: S: NS 000: UBX myemail@gmail.com 1 0
(17:51:34) msn: UBX received.
(17:51:34) dnsquery: Performing DNS lookup for omega.contacts.msn.com
(17:51:34) dnsquery: IP resolved for omega.contacts.msn.com
(17:51:34) proxy: Attempting connection to 207.46.113.78
(17:51:34) proxy: Connecting to omega.contacts.msn.com:443 with no proxy
(17:51:34) proxy: Connection in progress
(17:51:35) proxy: Connecting to omega.contacts.msn.com:443.
(17:51:35) proxy: Connected to omega.contacts.msn.com:443.
(17:51:35) nss: subject=CN=*.contacts.msn.com,OU=MSN Contact Services,O=MSN,L=Redmond,ST=WA,C=US issuer=CN=Microsoft Secure Server Authority,DC=redmond,DC=corp,DC=microsoft,DC=com
(17:51:35) nss: subject=CN=Microsoft Secure Server Authority,DC=redmond,DC=corp,DC=microsoft,DC=com issuer=CN=Microsoft Internet Authority
(17:51:35) nss: subject=CN=Microsoft Internet Authority issuer=CN=GTE CyberTrust Global Root,OU="GTE CyberTrust Solutions, Inc.",O=GTE Corporation,C=US
(17:51:35) nss: subject=CN=GTE CyberTrust Global Root,OU="GTE CyberTrust Solutions, Inc.",O=GTE Corporation,C=US issuer=CN=GTE CyberTrust Global Root,OU="GTE CyberTrust Solutions, Inc.",O=GTE Corporation,C=US
(17:51:35) certificate/x509/tls_cached: Starting verify for omega.contacts.msn.com
(17:51:35) certificate/x509/tls_cached: Checking for cached cert...
(17:51:35) certificate/x509/tls_cached: ...Found cached cert
(17:51:35) nss/x509: Loading certificate from C:\Users\Erik\AppData\Roaming\.purple\certificates\x509\tls_peers\omega.contacts.msn.com
(17:51:35) certificate/x509/tls_cached: Peer cert did NOT match cached
(17:51:35) certificate: Checking signature chain for uid=CN=*.contacts.msn.com,OU=MSN Contact Services,O=MSN,L=Redmond,ST=WA,C=US
(17:51:35) certificate: ...Good signature by CN=Microsoft Secure Server Authority,DC=redmond,DC=corp,DC=microsoft,DC=com
(17:51:35) certificate: ...Good signature by CN=Microsoft Internet Authority
(17:51:35) certificate: ...Good signature by CN=GTE CyberTrust Global Root,OU="GTE CyberTrust Solutions, Inc.",O=GTE Corporation,C=US
(17:51:35) certificate: Chain is VALID
(17:51:35) certificate/x509/tls_cached: Checking for a CA with DN=CN=GTE CyberTrust Global Root,OU="GTE CyberTrust Solutions, Inc.",O=GTE Corporation,C=US
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\America_Online_Root_Certification_Authority_1.pem
(17:51:35) certificate/x509/ca: Loaded America Online Root Certification Authority 1 from C:\Program Files\Pidgin\ca-certs\America_Online_Root_Certification_Authority_1.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\AOL_Member_CA.pem
(17:51:35) certificate/x509/ca: Loaded AOL Member CA from C:\Program Files\Pidgin\ca-certs\AOL_Member_CA.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\CAcert_Class3.pem
(17:51:35) certificate/x509/ca: Loaded CAcert Class 3 Root from C:\Program Files\Pidgin\ca-certs\CAcert_Class3.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\CAcert_Root.pem
(17:51:35) certificate/x509/ca: Loaded CA Cert Signing Authority from C:\Program Files\Pidgin\ca-certs\CAcert_Root.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\Deutsche_Telekom_Root_CA_2.pem
(17:51:35) certificate/x509/ca: Loaded Deutsche Telekom Root CA 2 from C:\Program Files\Pidgin\ca-certs\Deutsche_Telekom_Root_CA_2.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\Entrust.net_Secure_Server_CA.pem
(17:51:35) certificate/x509/ca: Loaded Entrust.net Secure Server Certification Authority from C:\Program Files\Pidgin\ca-certs\Entrust.net_Secure_Server_CA.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\Equifax_Secure_CA.pem
(17:51:35) certificate/x509/ca: Loaded (unknown) from C:\Program Files\Pidgin\ca-certs\Equifax_Secure_CA.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\Equifax_Secure_Global_eBusiness_CA-1.pem
(17:51:35) certificate/x509/ca: Loaded Equifax Secure Global eBusiness CA-1 from C:\Program Files\Pidgin\ca-certs\Equifax_Secure_Global_eBusiness_CA-1.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\Go_Daddy_Class_2_CA.pem
(17:51:35) certificate/x509/ca: Loaded (unknown) from C:\Program Files\Pidgin\ca-certs\Go_Daddy_Class_2_CA.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\GTE_CyberTrust_Global_Root.pem
(17:51:35) certificate/x509/ca: Loaded GTE CyberTrust Global Root from C:\Program Files\Pidgin\ca-certs\GTE_CyberTrust_Global_Root.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\Microsoft_Internet_Authority.pem
(17:51:35) certificate/x509/ca: Loaded Microsoft Internet Authority from C:\Program Files\Pidgin\ca-certs\Microsoft_Internet_Authority.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\Microsoft_Internet_Authority_2010.pem
(17:51:35) certificate/x509/ca: Loaded Microsoft Internet Authority from C:\Program Files\Pidgin\ca-certs\Microsoft_Internet_Authority_2010.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\Microsoft_Secure_Server_Authority.pem
(17:51:35) certificate/x509/ca: Loaded Microsoft Secure Server Authority from C:\Program Files\Pidgin\ca-certs\Microsoft_Secure_Server_Authority.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\Microsoft_Secure_Server_Authority_2010.pem
(17:51:35) certificate/x509/ca: Loaded Microsoft Secure Server Authority from C:\Program Files\Pidgin\ca-certs\Microsoft_Secure_Server_Authority_2010.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\StartCom_Certification_Authority.pem
(17:51:35) certificate/x509/ca: Loaded StartCom Certification Authority from C:\Program Files\Pidgin\ca-certs\StartCom_Certification_Authority.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\StartCom_Free_SSL_CA.pem
(17:51:35) certificate/x509/ca: Loaded Free SSL Certification Authority from C:\Program Files\Pidgin\ca-certs\StartCom_Free_SSL_CA.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\Thawte_Premium_Server_CA.pem
(17:51:35) certificate/x509/ca: Loaded Thawte Premium Server CA from C:\Program Files\Pidgin\ca-certs\Thawte_Premium_Server_CA.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\Thawte_Primary_Root_CA.pem
(17:51:35) certificate/x509/ca: Loaded thawte Primary Root CA from C:\Program Files\Pidgin\ca-certs\Thawte_Primary_Root_CA.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\ValiCert_Class_2_VA.pem
(17:51:35) certificate/x509/ca: Loaded h t t p : / /www.valicert.com/ from C:\Program Files\Pidgin\ca-certs\ValiCert_Class_2_VA.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\VeriSign_Class3_Extended_Validation_CA.pem
(17:51:35) certificate/x509/ca: Loaded VeriSign Class 3 Extended Validation SSL CA from C:\Program Files\Pidgin\ca-certs\VeriSign_Class3_Extended_Validation_CA.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\Verisign_Class3_Primary_CA.pem
(17:51:35) certificate/x509/ca: Loaded (unknown) from C:\Program Files\Pidgin\ca-certs\Verisign_Class3_Primary_CA.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\VeriSign_Class_3_Public_Primary_Certification_Authority_-_G2.pem
(17:51:35) certificate/x509/ca: Loaded (unknown) from C:\Program Files\Pidgin\ca-certs\VeriSign_Class_3_Public_Primary_Certification_Authority_-_G2.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\VeriSign_Class_3_Public_Primary_Certification_Authority_-_G5.pem
(17:51:35) certificate/x509/ca: Loaded VeriSign Class 3 Public Primary Certification Authority - G5 from C:\Program Files\Pidgin\ca-certs\VeriSign_Class_3_Public_Primary_Certification_Authority_-_G5.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\VeriSign_Class_3_Public_Primary_Certification_Authority_-_G5_2.pem
(17:51:35) certificate/x509/ca: Loaded VeriSign Class 3 Public Primary Certification Authority - G5 from C:\Program Files\Pidgin\ca-certs\VeriSign_Class_3_Public_Primary_Certification_Authority_-_G5_2.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\VeriSign_International_Server_Class_3_CA.pem
(17:51:35) certificate/x509/ca: Loaded (unknown) from C:\Program Files\Pidgin\ca-certs\VeriSign_International_Server_Class_3_CA.pem
(17:51:35) nss/x509: Loading certificate from C:\Program Files\Pidgin\ca-certs\Verisign_RSA_Secure_Server_CA.pem
(17:51:35) certificate/x509/ca: Loaded (unknown) from C:\Program Files\Pidgin\ca-certs\Verisign_RSA_Secure_Server_CA.pem
(17:51:35) certificate/x509/ca: Lazy init completed.
(17:51:35) nss/x509: Exporting certificate to C:\Users\Erik\AppData\Roaming\.purple\certificates\x509\tls_peers\omega.contacts.msn.com
(17:51:35) util: Writing file C:\Users\Erik\AppData\Roaming\.purple\certificates\x509\tls_peers\omega.contacts.msn.com
(17:51:35) certificate: Successfully verified certificate for omega.contacts.msn.com
(17:51:35) soap: POST //abservice/SharingService.asmx HTTP/1.1

SOAPAction: h t t p : / /www.msn.com/webservices/AddressBook/FindMembership

Content-Type:text/xml; charset=utf-8

User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Accept: */*

Host: omega.contacts.msn.com

Content-Length: 2167

Connection: Keep-Alive

Cache-Control: no-cache



<soap:Envelope xmlns:soap='h t t p : / /schemas.xmlsoap.org/soap/envelope/'><soap:Header xmlns:soap='h t t p : / /schemas.xmlsoap.org/soap/envelope/'><ABApplicationHeader xmlns='h t t p : / /www.msn.com/webservices/AddressBook'><ApplicationId xmlns='h t t p : / /www.msn.com/webservices/AddressBook'>CFE80F9D-180F-4399-82AB-413F33A1FA11</ApplicationId><IsMigration xmlns='h t t p : / /www.msn.com/webservices/AddressBook'>false</IsMigration><PartnerScenario xmlns='h t t p : / /www.msn.com/webservices/AddressBook'>Initial</PartnerScenario></ABApplicationHeader><ABAuthHeader xmlns='h t t p : / /www.msn.com/webservices/AddressBook'><ManagedGroupRequest xmlns='h t t p : / /www.msn.com/webservices/AddressBook'>false</ManagedGroupRequest><TicketToken>t=EwDoAcBdAAAURnMnP0xNtZi9ugdf902M4Br/7wKAAFcF0I6O6c2C/ghv/U6QUIcbgm4EgaBx2b8g4QiYLBrNPVFmdn7ycc2tNSrnTZyHtM4BQh5PRA6uZEzCzJwHdsJNx9hvzlS5du4zUpUfjm5/yzqyravNAoop4NVC9wnF5v50f2/DYINjOKkhKjTOBYS6k/0sgdjloWpw8JwWQHsZA2YAAAiCDEyWek3QxzgBLue9nlhNlH3n5P8FYTdGCRnQUauZwhZ1sMS/kEaO7qL9s9TqYmxsdoWOwEM1xP6PykZJJVaje6c3uByDHYhnGniXBlmIA21NkRuZGUNdEVuYpay4NDFNHQK8zFIS7D8TNQYaTwc1pNrrV/+HMmF4SSH+T4ZqA2RU3dKBDYcFim5OXLPg/waPq6OckDp+SmnCgHKRffekvdnJdMm19YgYxFW4MuDk6oU9XQ3ZjnOlaGXGmOWc25i3GBYkfJWfW6CcZMnZKNNlUwH8PJv/RzVtUxiySdNY+UvjnMzzS7oxS0rZpt0mWc6JiBi89AfnIHOjR4QTcxHP9v6UFlMtmByHZDvW408br7YHtAWBHv7E3K6d9zeNMKDj5j5805PR2LkbDRIDejbt0EiUgJaVUzjoC/ggVwj1pa4qZAE=&amp;p=</TicketToken></ABAuthHeader></soap:Header><soap:Body xmlns:soap='h t t p : / /schemas.xmlsoap.org/soap/envelope/'><FindMembership xmlns='h t t p : / /www.msn.com/webservices/AddressBook'><serviceFilter xmlns='h t t p : / /www.msn.com/webservices/AddressBook'><Types xmlns='h t t p : / /www.msn.com/webservices/AddressBook'><ServiceType xmlns='h t t p : / /www.msn.com/webservices/AddressBook'>Messenger</ServiceType><ServiceType xmlns='h t t p : / /www.msn.com/webservices/AddressBook'>Invitation</ServiceType><ServiceType xmlns='h t t p : / /www.msn.com/webservices/AddressBook'>SocialNetwork</ServiceType><ServiceType xmlns='h t t p : / /www.msn.com/webservices/AddressBook'>Space</ServiceType><ServiceType xmlns='h t t p : / /www.msn.com/webservices/AddressBook'>Profile</ServiceType></Types></serviceFilter></FindMembership></soap:Body></soap:Envelope>
(17:51:36) soap: read 16384 bytes
(17:51:36) soap: current HTTP/1.1 200 OK

Date: Fri, 28 Jan 2011 16:51:37 GMT

Server: Microsoft-IIS/6.0

P3P:CP="BUS CUR CONo FIN IVDo ONL OUR PHY SAMo TELo"

X-Powered-By: ASP.NET

X-MSNSERVER: BY2ABCHWB272

X-AspNet-Version: 2.0.50727

Cache-Control: private, max-age=0

Content-Type: text/xml; charset=utf-8

Content-Length: 59426



<?xml version="1.0" encoding="utf-8"?><soap:Envelope xmlns:soap="h t t p : / /schemas.xmlsoap.org/soap/envelope/" xmlns:xsi="h t t p : / /www.w3.org/2001/XMLSchema-instance" xmlns:xsd="h t t p : / /www.w3.org/2001/XMLSchema"><soap:Header><ServiceHeader xmlns="h t t p : / /www.msn.com/webservices/AddressBook"><Version>15.04.1114.0000</Version><CacheKey>14r2;T3Wb3OsAzM4mt2Wz2W9ki0KuR7yxEH4yN31mr5rUq8HgXm873Wz5SU5SY4t45yZOrMICrskmRLD6pDuM1rLJiV/ubtTK1gnbLJ3bREpL31+1lUd6jxklA2k+v1UmzA6mlMb18aKNSZrx37NuTSChbXyhwwlKHVF7KTS26zuyc08=</CacheKey><CacheKeyChanged>true</CacheKeyChanged><PreferredHostName>proxy-sn.contacts.msn.com</PreferredHostName><SessionId>ABCH.2186ad06-9713-40c9-8a55-f9e5945417f6</SessionId></ServiceHeader></soap:Header><soap:Body><FindMembershipResponse xmlns="h t t p : / /www.msn.com/webservices/AddressBook"><FindMembershipResult><Services><Service><Memberships><Membership><MemberRole>Allow</MemberRole><Members><Member xsi:type="PassportMember"><MembershipId>361</MembershipId><Type>Passport</Type><State>Accepted</State><Deleted>false</Deleted><LastChanged>2011-01-24T14:48:57.417-08:00</LastChanged><JoinedDate>2011-01-24T14:48:57.267-08:00</JoinedDate><ExpirationDate>0001-01-01T00:00:00</ExpirationDate><Changes /><PassportName>someone@gmail.com</PassportName><IsPassportNameHidden>false</IsPassportNameHidden><PassportId>0</PassportId><CID>3739982634557023626</CID><PassportChanges /><LookedupByCID>false</LookedupByCID></Member>
***** EDITED OUT OTHER CONTACTS *****
(17:51:36) msn: Got the contact list!
(17:51:36) msn: CL last change: 2011-01-24T14:49:00.89-08:00
(17:51:36) msn: CL MemberRole role: Allow, list: 1
(17:51:36) msn: CL: PassportName name: someone@gmail.com, Type: Passport, MembershipID: 361, NetworkID: 1
(17:51:36) msn: CL: PassportName name: someone_else@hotmail.com, Type: Passport, MembershipID: 362, NetworkID: 1
***** EDITED OUT OTHER CONTACTS *****
(17:51:36) msn: Getting Address Book
(17:51:36) soap: POST //abservice/abservice.asmx HTTP/1.1

SOAPAction: h t t p : / /www.msn.com/webservices/AddressBook/ABFindAll

Content-Type:text/xml; charset=utf-8

User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Accept: */*

Host: omega.contacts.msn.com

Content-Length: 1686

Connection: Keep-Alive

Cache-Control: no-cache



<soap:Envelope xmlns:xsi='h t t p : / /www.w3.org/2001/XMLSchema-instance' xmlns:soapenc='h t t p : / /schemas.xmlsoap.org/soap/encoding/' xmlns:soap='h t t p : / /schemas.xmlsoap.org/soap/envelope/' xmlns:xsd='h t t p : / /www.w3.org/2001/XMLSchema'><soap:Header><ABApplicationHeader xmlns='h t t p : / /www.msn.com/webservices/AddressBook'><ApplicationId>CFE80F9D-180F-4399-82AB-413F33A1FA11</ApplicationId><IsMigration>false</IsMigration><PartnerScenario>Initial</PartnerScenario><CacheKey>14r2;T3Wb3OsAzM4mt2Wz2W9ki0KuR7yxEH4yN31mr5rUq8HgXm873Wz5SU5SY4t45yZOrMICrskmRLD6pDuM1rLJiV/ubtTK1gnbLJ3bREpL31+1lUd6jxklA2k+v1UmzA6mlMb18aKNSZrx37NuTSChbXyhwwlKHVF7KTS26zuyc08=</CacheKey></ABApplicationHeader><ABAuthHeader xmlns='h t t p : / /www.msn.com/webservices/AddressBook'><ManagedGroupRequest>false</ManagedGroupRequest><TicketToken>t=EwDoAcBdAAAURnMnP0xNtZi9ugdf902M4Br/7wKAAFcF0I6O6c2C/ghv/U6QUIcbgm4EgaBx2b8g4QiYLBrNPVFmdn7ycc2tNSrnTZyHtM4BQh5PRA6uZEzCzJwHdsJNx9hvzlS5du4zUpUfjm5/yzqyravNAoop4NVC9wnF5v50f2/DYINjOKkhKjTOBYS6k/0sgdjloWpw8JwWQHsZA2YAAAiCDEyWek3QxzgBLue9nlhNlH3n5P8FYTdGCRnQUauZwhZ1sMS/kEaO7qL9s9TqYmxsdoWOwEM1xP6PykZJJVaje6c3uByDHYhnGniXBlmIA21NkRuZGUNdEVuYpay4NDFNHQK8zFIS7D8TNQYaTwc1pNrrV/+HMmF4SSH+T4ZqA2RU3dKBDYcFim5OXLPg/waPq6OckDp+SmnCgHKRffekvdnJdMm19YgYxFW4MuDk6oU9XQ3ZjnOlaGXGmOWc25i3GBYkfJWfW6CcZMnZKNNlUwH8PJv/RzVtUxiySdNY+UvjnMzzS7oxS0rZpt0mWc6JiBi89AfnIHOjR4QTcxHP9v6UFlMtmByHZDvW408br7YHtAWBHv7E3K6d9zeNMKDj5j5805PR2LkbDRIDejbt0EiUgJaVUzjoC/ggVwj1pa4qZAE=&amp;p=</TicketToken></ABAuthHeader></soap:Header><soap:Body><ABFindAll xmlns='h t t p : / /www.msn.com/webservices/AddressBook'><abId>00000000-0000-0000-0000-000000000000</abId><abView>Full</abView></ABFindAll></soap:Body></soap:Envelope>
(17:51:37) soap: read 16384 bytes
(17:51:37) soap: current HTTP/1.1 200 OK

Date: Fri, 28 Jan 2011 16:51:38 GMT

Server: Microsoft-IIS/6.0

P3P:CP="BUS CUR CONo FIN IVDo ONL OUR PHY SAMo TELo"

X-Powered-By: ASP.NET

X-MSNSERVER: BY2ABCHWB272

X-AspNet-Version: 2.0.50727

Cache-Control: private, max-age=0

Content-Type: text/xml; charset=utf-8

Content-Length: 39987



<?xml version="1.0" encoding="utf-8"?><soap:Envelope xmlns:soap="h t t p : / /schemas.xmlsoap.org/soap/envelope/" xmlns:xsi="h t t p : / /www.w3.org/2001/XMLSchema-instance" xmlns:xsd="h t t p : / /www.w3.org/2001/XMLSchema"><soap:Header><ServiceHeader xmlns="h t t p : / /www.msn.com/webservices/AddressBook"><Version>15.04.1114.0000</Version><CacheKeyChanged>false</CacheKeyChanged><PreferredHostName>proxy-sn.contacts.msn.com</PreferredHostName><SessionId>ABCH.3e5feff1-fd74-4d83-b565-a527e79cdccd</SessionId></ServiceHeader></soap:Header><soap:Body><ABFindAllResponse xmlns="h t t p : / /www.msn.com/webservices/AddressBook"><ABFindAllResult><groups><Group><groupId>1e89f0f0-9ce7-4250-9c23-370d50b9d550</groupId><groupInfo><annotations><Annotation><Name>MSN.IM.Display</Name><Value>1</Value></Annotation></annotations><groupType>c8529ce2-6ead-434d-881f-341e17db3ff8</groupType><name>School</name><IsNotMobileVisible>false</IsNotMobileVisible><IsPrivate>false</IsPrivate><IsFavorite>false</IsFavorite></groupInfo><propertiesChanged /><fDeleted>false</fDeleted><lastChange>2011-01-11T01:58:11.16-08:00</lastChange></Group><Group><groupId>aee55c06-4da7-4741-aa3f-665b9c985e0f</groupId><groupInfo><annotations><Annotation><Name>MSN.IM.Display</Name><Value>1</Value></Annotation></annotations><groupType>c8529ce2-6ead-434d-881f-341e17db3ff8</groupType><name>Individuals</name><IsNotMobileVisible>false</IsNotMobileVisible><IsPrivate>false</IsPrivate><IsFavorite>false</IsFavorite></groupInfo><propertiesChanged /><fDeleted>false</fDeleted><lastChange>2010-10-18T02:28:25.753-07:00</lastChange></Group><Group><groupId>f264bf2d-ce97-4507-83ed-6e254d8ec516</groupId><groupInfo><annotations><Annotation><Name>MSN.IM.Display</Name><Value>1</Value></Annotation></annotations><groupType>c8529ce2-6ead-434d-881f-341e17db3ff8</groupType><name>General</name><IsNotMobileVisible>false</IsNotMobileVisible><IsPrivate>false</IsPrivate><IsFavorite>false</IsFavorite></groupInfo><propertiesChanged /><fDeleted>false</fDeleted><lastChange>2008-04-04T20:39:30.977-07:00</lastChange></Group><Group><groupId>2a219e0e-1335-48b4-86ea-7d61cba57c29</groupId><groupInfo><annotations><Annotation><Name>MSN.IM.Display</Name><Value>1</Value></Annotation></annotations><groupType>c8529ce2-6ead-434d-881f-341e17db3ff8</groupType><name>Stage</name><IsNotMobileVisible>false</IsNotMobileVisible><IsPrivate>false</IsPrivate><IsFavorite>false</IsFavorite></groupInfo><propertiesChanged /><fDeleted>false</fDeleted><lastChange>2008-04-04T20:39:26.38-07:00</lastChange></Group><Group><groupId>8bae200b-eb5a-4056-b5d2-b1560bd3c7c8</groupId><groupInfo><annotations><Annotation><Name>MSN.IM.Display</Name><Value>1</Value></Annotation></annotations><groupType>c8529ce2-6ead-434d-881f-341e17db3ff8</groupType><name>Favorieten</name><IsNotMobileVisible>false</IsNotMobileVisible><IsPrivate>false</IsPrivate><IsFavorite>true</IsFavorite></groupInfo><propertiesChanged /><fDeleted>false</fDeleted><lastChange>2008-12-21T19:13:01.01-08:00</lastChange></Group></groups><contacts><Contact><contactId>c5bd42a3-f949-46c3-ba24-295318cfb798</contactId><contactInfo><annotations><Annotation><Name>MSN.IM.MBEA</Name><Value>0</Value></Annotation><Annotation><Name>MSN.IM.GTC</Name><Value>1</Value></Annotation><Annotation><Name>MSN.IM.BLP</Name><Value>0</Value></Annotation><Annotation><Name>MSN.IM.RoamLiveProperties</Name><Value>1</Value></Annotation><Annotation><Name>Live.Locale</Name><Value>1043</Value></Annotation><Annotation><Name>Live.Profile.Expression.LastChanged</Name><Value>2011-01-26T21:34:10.12-06:00</Value></Annotation><Annotation><Name>Live.Passport.Birthdate</Name><Value>03/04/1984 00:00:00</Value></Annotation><Annotation><Name>Live.Passport.Country</Name><Value>NL</Value></Annotation></annotations><contactType>Me</contactType><quickName>Q</quickName><passportName>myemail@gmail.com</passportName><IsPassportNameHidden>false</IsPassportNameHidden><displayName>Erik</displayName><puid>0</puid><CID>6204345831733104160</CID><IsNotMobileVisible>true</IsNotMobileVisible><isMobileIMEnabled>false</isMobileIMEnabled><isMessengerUser>false</isMessengerUser><isFavorite>false</isFavorite><isSmtp>false</isSmtp><hasSpace>false</hasSpace><spotWatchState>NoDevice</spotWatchState><birthdate>0001-01-01T00:00:00</birthdate><primaryEmailType>ContactEmailPersonal</primaryEmailType><PrimaryLocation>ContactLocationPersonal</PrimaryLocation><PrimaryPhone>ContactPhonePersonal</PrimaryPhone><IsPrivate>false</IsPrivate><IsHidden>false</IsHidden><Gender>Unspecified</Gender><TimeZone>None</TimeZone><IsAutoUpdateDisabled>false</IsAutoUpdateDisabled><IsShellContact>false</IsShellContact><TrustLevel>0</TrustLevel><PropertiesChanged /></contactInfo><propertiesChanged /><fDeleted>false</fDeleted><CreateDate>0001-01-01T00:00:00-08:00</CreateDate><lastChange>2011-01-28T08:49:04.033-08:00</lastChange><LastModifiedBy>8</LastModifiedBy></Contact><Contact><contactId>c96f4bb2-fa81-40b1-adb9-2b582f2afe42</contactId><contactInfo><groupIds><guid>2a219e0e-1335-48b4-86ea-7d61cba57c29</guid></groupIds><contactType>Regular</contactType><quickName>someone</quickName><passportName>someone@hotmail.com</passportName><IsPassportNameHidden>false</IsPassportNameHidden><displayName>Ellen</displayName><puid>0</puid><CID>-7999121873714710784</CID><IsNotMobileVisible>false</IsNotMobileVisible><isMobileIMEnabled>false</isMobileIMEnabled><isMessengerUser>true</isMessengerUser><isFavorite>false</isFavorite><isSmtp>false</isSmtp><hasSpace>true</hasSpace><spotWatchState>NoDevice</spotWatchState><birthdate>0001-01-01T00:00:00</birthdate><primaryEmailType>ContactEmailPersonal</primaryEmailType><PrimaryLocation>ContactLocationPersonal</PrimaryLocation><PrimaryPhone>ContactPhonePersonal</PrimaryPhone><IsPrivate>false</IsPrivate><IsHidden>false</IsHidden><Gender>Unspecified</Gender><TimeZone>None</TimeZone><IsAutoUpdateDisabled>false</IsAutoUpdateDisabled><IsShellContact>false</IsShellContact><TrustLevel>2</TrustLevel><PropertiesChanged /></contactInfo><propertiesChanged /><fDeleted>false</fDeleted><CreateDate>0001-01-01T00:00:00-08:00</CreateDate><lastChange>2011-01-26T12:11:49.677-08:00</lastChange></Contact>

***** EDITED OUT OTHER CONTACTS *****

<Contact><contactId>fbc968de-63b5-4aff-85c7-f9fbacf4ce18</contactId><contactInfo><groupIds><guid>aee55c06-4da7-4741-aa3f-665b9c985e0f</guid></groupIds><contactType>Regular</contactType><quickName>myemail</quickName><passportName>myemail@gmail.com</passportName><IsPassportNameHidden>false</IsPassportNameHidden><displayName>Erik</displayName><puid>0</puid><CID>6204345831733104160</CID><IsNotMobileVisible>false</IsNotMobileVisible><isMobileIMEnabled>false</isMobileIMEnabled><isMessengerUser>true</isMessengerUser><isFavorite>false</isFavorite><isSmtp>false</isSmtp><hasSpace>false</hasSpace><spotWatchState>NoDevice</spotWatchState><birthdate>0001-01-01T00:00:00</birthdate><primaryEmailType>ContactEmailPersonal</primaryEmailType><PrimaryLocation>ContactLocationPersonal</PrimaryLocation><PrimaryPhone>ContactPhonePersonal</PrimaryPhone><IsPrivate>false</IsPrivate><IsHidden>false</IsHidden><Gender>Unspecified</Gender><TimeZone>None</TimeZone><IsAutoUpdateDisabled>false</IsAutoUpdateDisabled><IsShellContact>false</IsShellContact><TrustLevel>2</TrustLevel><PropertiesChanged /></contactInfo><propertiesChanged /><fDeleted>false</fDeleted><CreateDate>2008-06-01T18:13:00-07:00</CreateDate><lastChange>2010-06-21T06:41:36.8-07:00</lastChange><CreatedBy>10</CreatedBy></Contact></contacts><ab><abId>00000000-0000-0000-0000-000000000000</abId><abInfo><MigratedTo>6</MigratedTo><ownerPuid>0</ownerPuid><OwnerCID>6204345831733104160</OwnerCID><ownerEmail>myemail@gmail.com</ownerEmail><fDefault>true</fDefault><joinedNamespace>false</joinedNamespace><IsBot>false</IsBot><IsParentManaged>false</IsParentManaged><AccountTierLastChanged>0001-01-01T00:00:00</AccountTierLastChanged><ProfileVersion>0</ProfileVersion><SubscribeExternalPartner>false</SubscribeExternalPartner><NotifyExternalPartner>false</NotifyExternalPartner><AddressBookType>Individual</AddressBookType><MessengerApplicationServiceCreated>true</MessengerApplicationServiceCreated><IsBetaMigrated>true</IsBetaMigrated></abInfo><lastChange>2011-01-28T08:49:04.033-08:00</lastChange><DynamicItemLastChanged>0001-01-01T00:00:00</DynamicItemLastChanged><RecentActivityItemLastChanged>0001-01-01T00:00:00</RecentActivityItemLastChanged><createDate>2006-11-03T20:23:57.84-07:00</createDate><propertiesChanged /></ab></ABFindAllResult></ABFindAllResponse></soap:Body></soap:Envelope>
(17:51:37) msn: Got the Address Book!
(17:51:37) msn: msn_parse_addressbook_groups()
(17:51:37) msn: AB group_id: 1e89f0f0-9ce7-4250-9c23-370d50b9d550, name: School
(17:51:37) msn: AB group_id: aee55c06-4da7-4741-aa3f-665b9c985e0f, name: Individuals
(17:51:37) msn: AB group_id: f264bf2d-ce97-4507-83ed-6e254d8ec516, name: General
(17:51:37) msn: AB group_id: 2a219e0e-1335-48b4-86ea-7d61cba57c29, name: Stage
(17:51:37) msn: AB group_id: 8bae200b-eb5a-4056-b5d2-b1560bd3c7c8, name: Favorieten
(17:51:37) msn: AB group_id:1983 name:Andere Contactpersonen
(17:51:37) msn: AB group_id:email name:Niet-IM contactpersonen
(17:51:37) msn: Process contact list...
(17:51:37) msn: AB passport:{someone@hotmail.com} uid:{c96f4bb2-fa81-40b1-adb9-2b582f2afe42} display:{Ellen} alias: {(null)} mobile:{false} mobile number:{(null)}
(17:51:37) msn: User: group id:2a219e0e-1335-48b4-86ea-7d61cba57c29,name:Stage,user:someone@hotmail.com
(17:51:37) msn: AB guid:2a219e0e-1335-48b4-86ea-7d61cba57c29
(17:51:37) msn: AB passport:{someone_else@hotmail.com} uid:{1deaf541-e122-4b67-89c8-3289502c6658} display:{jesse} alias: {(null)} mobile:{false} mobile number:{(null)}
***** EDITED OUT OTHER CONTACTS *****
(17:51:37) msn: Sending ADL with payload: <ml l='1'><d n='live.com'><c n='support.service' l='2' t='2'/></d><d n='hotmail.com'><c n='rinushager' l='3' t='1'/><c n='someone' l='3' t='1'/><c n='someone_else' l='3' t='1'/>
***** EDITED OUT OTHER CONTACTS *****
</d></ml>
(17:51:37) msn: C: NS 000: ADL 16 1102
(17:51:37) msn: C: NS 000: PRP 17 MFN Erik
(17:51:37) msn: S: NS 000: BLP 15 AL
(17:51:37) msn: S: NS 000: PRP 17 MFN Erik
(17:51:37) msn: Update contact information for Me with new display name: Erik
(17:51:37) soap: POST //abservice/abservice.asmx HTTP/1.1

SOAPAction: h t t p : / /www.msn.com/webservices/AddressBook/ABContactUpdate

Content-Type:text/xml; charset=utf-8

User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Accept: */*

Host: omega.contacts.msn.com

Content-Length: 1909

Connection: Keep-Alive

Cache-Control: no-cache



<soap:Envelope xmlns:xsi='h t t p : / /www.w3.org/2001/XMLSchema-instance' xmlns:soapenc='h t t p : / /schemas.xmlsoap.org/soap/encoding/' xmlns:soap='h t t p : / /schemas.xmlsoap.org/soap/envelope/' xmlns:xsd='h t t p : / /www.w3.org/2001/XMLSchema'><soap:Header><ABApplicationHeader xmlns='h t t p : / /www.msn.com/webservices/AddressBook'><ApplicationId>CFE80F9D-180F-4399-82AB-413F33A1FA11</ApplicationId><IsMigration>false</IsMigration><PartnerScenario>ContactSave</PartnerScenario><CacheKey>14r2;T3Wb3OsAzM4mt2Wz2W9ki0KuR7yxEH4yN31mr5rUq8HgXm873Wz5SU5SY4t45yZOrMICrskmRLD6pDuM1rLJiV/ubtTK1gnbLJ3bREpL31+1lUd6jxklA2k+v1UmzA6mlMb18aKNSZrx37NuTSChbXyhwwlKHVF7KTS26zuyc08=</CacheKey></ABApplicationHeader><ABAuthHeader xmlns='h t t p : / /www.msn.com/webservices/AddressBook'><ManagedGroupRequest>false</ManagedGroupRequest><TicketToken>t=EwDoAcBdAAAURnMnP0xNtZi9ugdf902M4Br/7wKAAFcF0I6O6c2C/ghv/U6QUIcbgm4EgaBx2b8g4QiYLBrNPVFmdn7ycc2tNSrnTZyHtM4BQh5PRA6uZEzCzJwHdsJNx9hvzlS5du4zUpUfjm5/yzqyravNAoop4NVC9wnF5v50f2/DYINjOKkhKjTOBYS6k/0sgdjloWpw8JwWQHsZA2YAAAiCDEyWek3QxzgBLue9nlhNlH3n5P8FYTdGCRnQUauZwhZ1sMS/kEaO7qL9s9TqYmxsdoWOwEM1xP6PykZJJVaje6c3uByDHYhnGniXBlmIA21NkRuZGUNdEVuYpay4NDFNHQK8zFIS7D8TNQYaTwc1pNrrV/+HMmF4SSH+T4ZqA2RU3dKBDYcFim5OXLPg/waPq6OckDp+SmnCgHKRffekvdnJdMm19YgYxFW4MuDk6oU9XQ3ZjnOlaGXGmOWc25i3GBYkfJWfW6CcZMnZKNNlUwH8PJv/RzVtUxiySdNY+UvjnMzzS7oxS0rZpt0mWc6JiBi89AfnIHOjR4QTcxHP9v6UFlMtmByHZDvW408br7YHtAWBHv7E3K6d9zeNMKDj5j5805PR2LkbDRIDejbt0EiUgJaVUzjoC/ggVwj1pa4qZAE=&amp;p=</TicketToken></ABAuthHeader></soap:Header><soap:Body><ABContactUpdate xmlns='h t t p : / /www.msn.com/webservices/AddressBook'><abId>00000000-0000-0000-0000-000000000000</abId><contacts><Contact xmlns='h t t p : / /www.msn.com/webservices/AddressBook'><contactInfo><displayName>Erik</displayName><contactType>Me</contactType></contactInfo><propertiesChanged>DisplayName</propertiesChanged></Contact></contacts></ABContactUpdate></soap:Body></soap:Envelope>
(17:51:37) msn: S: NS 000: ADL 16 OK
(17:51:37) msn: Unable to open buddy icon from myemail@gmail.com!
(17:51:37) msn: C: NS 000: BLP 18 AL
(17:51:37) connection: Activating keepalive.
(17:51:37) msn: Sending UUX command with payload: <EndpointData><Capabilities>262180:00</Capabilities></EndpointData>
(17:51:37) msn: C: NS 000: UUX 19 67
(17:51:37) msn: Sending UUX command with payload: <PrivateEndpointData><EpName>Pidgin</EpName><Idle>false</Idle><ClientType>1</ClientType><State>NLN</State></PrivateEndpointData>
(17:51:37) msn: C: NS 000: UUX 20 128
(17:51:37) msn: Sending UUX command with payload: <Data><PSM/><CurrentMedia/><MachineGuid>12FC37FA-52CC-6C02-7F02-275A70A17A63</MachineGuid><DDP/></Data>
(17:51:37) msn: C: NS 000: UUX 21 103
(17:51:37) msn: C: NS 000: CHG 22 NLN 2416181284:00 0
(17:51:37) msn: S: NS 000: BLP 18 AL
(17:51:38) soap: read 946 bytes
(17:51:38) soap: current HTTP/1.1 200 OK

Date: Fri, 28 Jan 2011 16:51:38 GMT

Server: Microsoft-IIS/6.0

P3P:CP="BUS CUR CONo FIN IVDo ONL OUR PHY SAMo TELo"

X-Powered-By: ASP.NET

X-MSNSERVER: BY2ABCHWB272

X-AspNet-Version: 2.0.50727

Cache-Control: private, max-age=0

Content-Type: text/xml; charset=utf-8

Content-Length: 635



<?xml version="1.0" encoding="utf-8"?><soap:Envelope xmlns:soap="h t t p : / /schemas.xmlsoap.org/soap/envelope/" xmlns:xsi="h t t p : / /www.w3.org/2001/XMLSchema-instance" xmlns:xsd="h t t p : / /www.w3.org/2001/XMLSchema"><soap:Header><ServiceHeader xmlns="h t t p : / /www.msn.com/webservices/AddressBook"><Version>15.04.1114.0000</Version><CacheKeyChanged>false</CacheKeyChanged><PreferredHostName>proxy-sn.contacts.msn.com</PreferredHostName><SessionId>ABCH.3f270910-6c3e-4905-ba23-ac47bb74fdd6</SessionId></ServiceHeader></soap:Header><soap:Body><ABContactUpdateResponse xmlns="h t t p : / /www.msn.com/webservices/AddressBook" /></soap:Body></soap:Envelope>
(17:51:38) soap: ignoring malformed line: P3P:CP="BUS CUR CONo FIN IVDo ONL OUR PHY SAMo TELo"
(17:51:38) msn: Contact updated successfully
(17:51:38) msn: S: NS 000: UUX 19 0
(17:51:38) msn: UUX received.
(17:51:38) msn: S: NS 000: UUX 20 0
(17:51:38) msn: UUX received.
(17:51:38) msn: S: NS 000: UUX 21 0
(17:51:38) msn: UUX received.
(17:51:38) msn: S: NS 000: NLN NLN myemail@gmail.com 1 Erik 2416181284:2147619840 0
(17:51:38) blist: Updating buddy status for myemail@gmail.com (MSN)
(17:51:38) msn: S: NS 000: UBX myemail@gmail.com 1 504
(17:51:38) msn: UBX received.
(17:51:38) msn: msn get PSM
(17:51:38) msn: Get CurrentMedia
(17:51:38) msn: No currentmedia string
(17:51:38) msn: Get EndpointData
(17:51:38) blist: Updating buddy status for myemail@gmail.com (MSN)
(17:51:38) msn: S: NS 000: MSG Hotmail Hotmail 289
(17:51:38) msn: Processing MSG... 
(17:51:38) msn: <MD><E><I>0</I><IU>0</IU><O>0</O><OU>0</OU></E><Q><QTM>409600</QTM><QNM>204800</QNM></Q></MD>
(17:51:38) msn: queueing command.
(17:51:38) msn: C: NS 000: URL 23 INBOX
(17:51:38) msn: S: NS 000: CHG 22 NLN 2416181284:0 0
(17:51:38) msn: S: NS 000: NLN NLN someone@hotmail.com 1 Mitchel 3055849776:2609258384 %3cmsnobj%20Creator%3d%22mitchelbonnema%40hotmail.com%22%20Type%3d%223%22%20SHA1D%3d%22Y0tjg8kX201bZKv4OwCvTjwEZic%3d%22%20Size%3d%2224357%22%20Location%3d%220%22%20Friendly%3d%22cwBoAGEAcgBrACAAcwBhAHkAAAA%3d%22%2f%3e
(17:51:38) msn: new httpconn (04617170)
(17:51:38) msn: C: NS 000: XFR 24 SB
(17:51:38) msn: switchboard send msg..
(17:51:38) msn: Appending message to queue.
(17:51:38) blist: Updating buddy status for soneone@hotmail.com (MSN)
(17:51:38) msn: S: NS 000: UBX someone@hotmail.com 1 617
(17:51:38) msn: UBX received.
(17:51:38) msn: msn get PSM
(17:51:38) msn: Get CurrentMedia
(17:51:38) msn: No currentmedia string
(17:51:38) msn: Get EndpointData
(17:51:38) blist: Updating buddy status for someone@hotmail.com (MSN)
(17:51:38) msn: S: NS 000: URL 23 /cgi-bin/HoTMaiL https://login.live.com/ppsecure/md5auth.srf?lc=1033 0
(17:51:38) msn: unqueueing command.
(17:51:38) msn: Processing MSG... 
(17:51:38) msn: <MD><E><I>0</I><IU>0</IU><O>0</O><OU>0</OU></E><Q><QTM>409600</QTM><QNM>204800</QNM></Q></MD>
(17:51:38) msn: S: NS 000: NLN NLN someone_else@hotmail.com 1 Denise 1342210060:2147615744 %3cmsnobj%20Creator%3d%22deniseekhart%40hotmail.com%22%20Size%3d%223090%22%20Type%3d%223%22%20Location%3d%220%22%20Friendly%3d%22AAA%3d%22%20SHA1D%3d%22v%2bhNAt105At01%2bH2UpwEKRynyzU%3d%22%20SHA1C%3d%22mYaBL548qYxxd9g51yGvrvf2muM%3d%22%2f%3e
(17:51:38) blist: Updating buddy status for someone_else@hotmail.com (MSN)
(17:51:38) msn: S: NS 000: UBX someone_else@hotmail.com 1 904
(17:51:38) msn: UBX received.
(17:51:38) msn: msn get PSM
(17:51:38) msn: Get CurrentMedia
(17:51:38) msn: No currentmedia string
(17:51:38) msn: Get EndpointData
(17:51:38) blist: Updating buddy status for someone_else@hotmail.com (MSN)
***** EDITED OUT OTHER CONTACTS *****
(17:51:38) msn: S: NS 000: XFR 24 SB 65.54.48.186:1863 CKI 816090356.11610081.28173223 U messenger.msn.com 1
(17:51:38) msn: Switchboard:auth:{816090356.11610081.28173223} socket:{65.54.48.186:1863}
(17:51:38) dnsquery: Performing DNS lookup for 65.54.48.186
(17:51:38) dnsquery: IP resolved for 65.54.48.186
(17:51:38) proxy: Attempting connection to 65.54.48.186
(17:51:38) proxy: Connecting to 65.54.48.186:1863 with no proxy
(17:51:38) proxy: Connection in progress
(17:51:38) proxy: Connecting to 65.54.48.186:1863.
(17:51:38) proxy: Connected to 65.54.48.186:1863.
(17:51:38) msn: C: SB 001: USR 1 myemail@gmail.com;{12FC37FA-52CC-6C02-7F02-275A70A17A63} 816090356.11610081.28173223
(17:51:38) msn: S: SB 001: USR 1 OK myemail@gmail.com;{12fc37fa-52cc-6c02-7f02-275a70a17a63} Erik
(17:51:38) msn: C: SB 001: CAL 2 someone@hotmail.com
(17:51:39) msn: S: SB 001: CAL 2 RINGING 816090356
(17:51:39) msn: S: SB 001: JOI someone@hotmail.com;{cb4a77be-a6c8-4346-90d9-fd9d74004975} Mitchel 3055849776:2609258384
(17:51:39) msn: Processing queue
(17:51:39) msn: Sending message
(17:51:39) msn: C: SB 001: MSG 3 D 806
(17:51:39) msn: switchboard send msg..
(17:51:39) msn: C: SB 001: MSG 4 U 98
(17:51:39) msn: S: SB 001: JOI someone@hotmail.com Mitchel 3055849776:2609258384
(17:51:39) msn: Processing queue
(17:51:39) msn: switchboard send msg..
(17:51:39) msn: C: SB 001: MSG 5 U 98
(17:51:39) msn: S: SB 001: ACK 3
(17:51:39) msn: switchboard send msg..
(17:51:39) msn: C: SB 001: MSG 6 D 806
(17:51:39) msn: S: SB 001: ACK 6
(17:51:42) util: Writing file accounts.xml to directory C:\Users\Erik\AppData\Roaming\.purple
(17:51:42) util: Writing file C:\Users\Erik\AppData\Roaming\.purple\accounts.xml
(17:51:42) util: Writing file blist.xml to directory C:\Users\Erik\AppData\Roaming\.purple
(17:51:42) util: Writing file C:\Users\Erik\AppData\Roaming\.purple\blist.xml
(17:52:00) msn: S: NS 000: NOT 599
(17:52:08) msn: Sending UUX command with payload: <EndpointData><Capabilities>262180:00</Capabilities></EndpointData>
(17:52:08) msn: C: NS 000: UUX 25 67
(17:52:08) msn: Sending UUX command with payload: <PrivateEndpointData><EpName>Pidgin</EpName><Idle>false</Idle><ClientType>1</ClientType><State>NLN</State></PrivateEndpointData>
(17:52:08) msn: C: NS 000: UUX 26 128
(17:52:08) msn: Sending UUX command with payload: <Data><PSM/><CurrentMedia/><MachineGuid>12FC37FA-52CC-6C02-7F02-275A70A17A63</MachineGuid><DDP/></Data>
(17:52:08) msn: C: NS 000: UUX 27 103
(17:52:08) msn: C: NS 000: CHG 28 NLN 2416181284:00 0
(17:52:08) msn: S: NS 000: NLN NLN myemail@gmail.com 1 Erik 262180:2147483648 0
(17:52:08) blist: Updating buddy status for myemail@gmail.com (MSN)
(17:52:08) msn: S: NS 000: UBX myemail@gmail.com 1 500
(17:52:08) msn: UBX received.
(17:52:08) msn: msn get PSM
(17:52:08) msn: Get CurrentMedia
(17:52:08) msn: No currentmedia string
(17:52:08) msn: Get EndpointData
(17:52:08) blist: Updating buddy status for myemail@gmail.com (MSN)
(17:52:08) msn: S: NS 000: UUX 25 0
(17:52:08) msn: UUX received.
(17:52:08) msn: S: NS 000: UUX 26 0
(17:52:08) msn: UUX received.
(17:52:08) msn: S: NS 000: UUX 27 0
(17:52:08) msn: UUX received.
(17:52:08) msn: S: NS 000: NLN NLN myemail@gmail.com 1 Erik 2416181284:2147619840 0
(17:52:08) blist: Updating buddy status for myemail@gmail.com (MSN)
(17:52:08) msn: S: NS 000: UBX myemail@gmail.com 1 504
(17:52:08) msn: UBX received.
(17:52:08) msn: msn get PSM
(17:52:08) msn: Get CurrentMedia
(17:52:08) msn: No currentmedia string
(17:52:08) msn: Get EndpointData
(17:52:08) blist: Updating buddy status for myemail@gmail.com (MSN)
(17:52:08) msn: S: NS 000: CHG 28 NLN 2416181284:0 0
(17:52:09) msn: S: NS 000: CHL 0 75712709713086508762015036849
(17:52:09) msn: C: NS 000: QRY 29 PROD0119GSJUC$18 32
(17:52:09) msn: S: NS 000: QRY 29
(17:52:13) util: Writing file blist.xml to directory C:\Users\Erik\AppData\Roaming\.purple
(17:52:13) util: Writing file C:\Users\Erik\AppData\Roaming\.purple\blist.xml
(17:52:19) msn: S: NS 000: NLN AWY someone_else@hotmail.com 1 Denise 1342210060:2147615744 %3cmsnobj%20Creator%3d%22deniseekhart%40hotmail.com%22%20Size%3d%223090%22%20Type%3d%223%22%20Location%3d%220%22%20Friendly%3d%22AAA%3d%22%20SHA1D%3d%22v%2bhNAt105At01%2bH2UpwEKRynyzU%3d%22%20SHA1C%3d%22mYaBL548qYxxd9g51yGvrvf2muM%3d%22%2f%3e
(17:52:19) blist: Updating buddy status for someone_else@hotmail.com (MSN)
(17:52:40) msn: destroy httpconn (04617170)
***** EDITED OUT OTHER CONTACTS *****
(17:52:56) sound: Playing C:\Program Files\Pidgin\sounds\purple\login.wav
(17:52:56) msn: S: NS 000: UBX someone@hotmail.com 1 591
(17:52:56) msn: UBX received.
(17:52:56) msn: msn get PSM
(17:52:56) msn: Get CurrentMedia
(17:52:56) msn: No currentmedia string
(17:52:56) msn: Get EndpointData
(17:52:56) blist: Updating buddy status for someone@hotmail.com (MSN)
(17:53:00) msn: new httpconn (04617580)
(17:53:00) msn: C: NS 000: XFR 30 SB
(17:53:00) msn: switchboard send msg..
(17:53:00) msn: Appending message to queue.
(17:53:00) msn: S: NS 000: XFR 30 SB 65.54.48.186:1863 CKI 407866762.125932.23422159 U messenger.msn.com 1
(17:53:00) msn: Switchboard:auth:{407866762.125932.23422159} socket:{65.54.48.186:1863}
(17:53:00) dnsquery: Performing DNS lookup for 65.54.48.186
(17:53:00) dnsquery: IP resolved for 65.54.48.186
(17:53:00) proxy: Attempting connection to 65.54.48.186
(17:53:00) proxy: Connecting to 65.54.48.186:1863 with no proxy
(17:53:00) proxy: Connection in progress
(17:53:00) proxy: Connecting to 65.54.48.186:1863.
(17:53:00) proxy: Connected to 65.54.48.186:1863.
(17:53:00) msn: C: SB 002: USR 1 myemail@gmail.com;{12FC37FA-52CC-6C02-7F02-275A70A17A63} 407866762.125932.23422159
(17:53:00) msn: S: SB 002: USR 1 OK myemail@gmail.com;{12fc37fa-52cc-6c02-7f02-275a70a17a63} Erik
(17:53:00) msn: C: SB 002: CAL 2 someone_else@hotmail.com
(17:53:00) msn: S: SB 002: CAL 2 RINGING 407866762
(17:53:00) msn: S: SB 002: JOI someone_else@hotmail.com;{87298db8-76ab-2e1d-75b9-3ce3c126829d} Denise 1342210060:2147615744
(17:53:00) msn: Processing queue
(17:53:00) msn: Sending message
(17:53:00) msn: C: SB 002: MSG 3 D 812
(17:53:00) msn: switchboard send msg..
(17:53:00) msn: C: SB 002: MSG 4 U 98
(17:53:00) msn: S: SB 002: JOI someone_else@hotmail.com Denise 1342210060:2147615744
(17:53:00) msn: Processing queue
(17:53:00) msn: switchboard send msg..
(17:53:00) msn: C: SB 002: MSG 5 U 98
(17:53:01) msn: S: SB 002: ACK 3
(17:53:01) msn: switchboard send msg..
(17:53:01) msn: C: SB 002: MSG 6 D 812
(17:53:01) msn: S: SB 002: ACK 6
(17:53:29) docklet: menu enter-notify-event
(17:53:33) account: Disconnecting account myemail@gmail.com (018ADD90)
(17:53:33) connection: Disconnecting connection 044AC258
(17:53:33) connection: Deactivating keepalive.
(17:53:33) msn: C: SB 002: OUT
(17:53:33) msn: destroy httpconn (04617580)
(17:53:33) msn: C: NS 000: OUT
(17:53:33) msn: destroy the OIM 04526AE0
(17:53:33) msn: destroy httpconn (03EEC298)
(17:53:33) connection: Destroying connection 044AC258
(17:53:33) certificate: CertificateVerifier tls_cached unregistered
(17:53:33) certificate: CertificateVerifier singleuse unregistered
(17:53:33) certificate: CertificatePool tls_peers unregistered
(17:53:33) certificate: CertificatePool ca unregistered
(17:53:33) main: Unloading normal plugins
(17:53:33) plugins: Unloading plugin NSS
(17:53:33) certificate: CertificateScheme x509 unregistered
(17:53:33) plugins: Unloading plugin SSL
(17:53:33) util: Writing file blist.xml to directory C:\Users\Erik\AppData\Roaming\.purple
(17:53:33) util: Writing file C:\Users\Erik\AppData\Roaming\.purple\blist.xml
(17:53:33) blist: Destroying
(17:53:33) accels: accel changed, scheduling save.
(17:53:33) accels: accel changed, scheduling save.
(17:53:33) accels: accel changed, scheduling save.
(17:53:33) accels: accel changed, scheduling save.
(17:53:33) accels: accel changed, scheduling save.
(17:53:33) accels: accel changed, scheduling save.
(17:53:33) accels: accel changed, scheduling save.
(17:53:33) accels: accel changed, scheduling save.
(17:53:33) accels: accel changed, scheduling save.
(17:53:33) accels: accel changed, scheduling save.
(17:53:33) accels: accel changed, scheduling save.
(17:53:33) accels: accel changed, scheduling save.
(17:53:33) accels: accel changed, scheduling save.
(17:53:33) util: Writing file accounts.xml to directory C:\Users\Erik\AppData\Roaming\.purple
(17:53:33) util: Writing file C:\Users\Erik\AppData\Roaming\.purple\accounts.xml
(17:53:33) account: Destroying account 018ADD90
(17:53:33) network: Terminating the NLA thread
(17:53:33) main: Unloading all plugins
(17:53:33) plugins: Unloading plugin AIM
(17:53:33) plugins: Unloading plugin Bonjour
(17:53:33) plugins: Unloading plugin Gadu-Gadu
(17:53:33) plugins: Unloading plugin ICQ
(17:53:33) plugins: Unloading plugin IRC
(17:53:33) plugins: Unloading plugin MSN
(17:53:33) plugins: Unloading plugin MXit
(17:53:33) plugins: Unloading plugin MySpaceIM
(17:53:33) plugins: Unloading plugin GroupWise
(17:53:33) plugins: Unloading plugin QQ
(17:53:33) plugins: Unloading plugin Sametime
(17:53:33) plugins: Unloading plugin SILC
(17:53:33) plugins: Unloading plugin SIMPLE
(17:53:33) plugins: Unloading plugin XMPP
(17:53:33) jabber: destroying hash tables for data objects
(17:53:33) plugins: Unloading plugin Yahoo
(17:53:33) plugins: Unloading plugin Yahoo JAPAN
(17:53:33) docklet: WM_DESTROY
(17:53:33) gtkblist: removed visibility manager: 0
(17:53:33) wpurple: wpurple_cleanup
(17:53:33) winpidgin: winpidgin_cleanup

comment:6 Changed 9 years ago by Mok

also have same issue.

comment:7 Changed 9 years ago by sphynx

Ticket #14952 has been marked as a duplicate of this ticket.

comment:8 Changed 9 years ago by andrer

A couple of friends on Adium+MSN have been experiencing this problem very often during the past week.

I myself haven't (they're all in Europe while I'm in the USA), but communication on my end has been very flaky. A lot of messages are being very delayed or lost.

comment:9 Changed 9 years ago by eriq

Now that you mention it, I'm also experiencing issues with messages not being delivered (without notice) for at least a month now.

comment:10 Changed 9 years ago by Mok

still unable to login for the past 3 days. please raise severity.

comment:11 Changed 9 years ago by somnambulant

I've also been experiencing the same issue for the past several days, non-stop. Very frustrating. Getting the same error from the official Microsoft Messenger app, fwiw. I *can* log in on the web via Hotmail, however.

comment:12 Changed 9 years ago by aronahl

I've had this issue in 3 different libpurple-dependent applications: adium, pidgin, and spectrum. The issue also manifests in older versions of Microsoft Messenger for OS X, but the latest version works fine.

It does not effect all accounts. I have two, and only one is effected.

comment:13 Changed 9 years ago by Dimmuxx

Ticket #14957 has been marked as a duplicate of this ticket.

comment:14 Changed 9 years ago by cold

Been experiencing this bug ever since Adium auto-updated sometime this or last week. Can't use MSN at all!!!!

comment:15 in reply to: ↑ description ; follow-up: Changed 9 years ago by hikarimoro

I've just recently had the same problem with Adium/MSN login. Another note I thought I'd bring up (since I didn't see anyone mention it), oddly enough I seem to only be having this problem when I try to login from home. Yet when I login from school or work it works fine (I'm logging in from my laptop btw). Only one of my accounts is being affected though.

comment:16 in reply to: ↑ 15 Changed 9 years ago by hikarimoro

I stand corrected to myself, I can't login from the problematic account from work either now. D:

comment:17 Changed 9 years ago by nullx8

the problem seems to happen always if the network configuration changes while Adium is running.

as example if use Ethernet to connect ... and then switch to WiFi .. it will happen and remain until the machine reboots.

comment:18 Changed 9 years ago by Robby

Ticket #14973 has been marked as a duplicate of this ticket.

comment:19 Changed 9 years ago by fyreous

:: TEMPORARY WORKAROUND ::

While not a fix, I have discovered a workaround that worked for me. I had to temporarily use Trillian to get Adium working again.

If you are having the problem described by this ticket, try the following:

  1. Exit Adium
  2. Download Trillian (i.e., from the Mac App Store)
  3. Open Trillian, create an account, and sign in to your MSN account
  4. While Trillian is still open, try opening up Adium again and sign to your MSN account.
  5. At this point, Trillian should be kicked off, and Adium will grab control of the MSN account again.
  6. Close Trillian, uninstall it, and bam! You should should be set again with Adium.

The above steps worked for me. Not sure if they'll help anyone else, but it is worth a try.

comment:20 Changed 9 years ago by ShawnRisk

I have the same problem and I got the message twice, than I quit Adium and got the message again and then I tried one more time and now I am logged in.

comment:21 Changed 9 years ago by jassa

this ticket was opened 13 months ago, and most comments started 12 DAYS ago, what's causing this issue is obviously different than when it was opened in the first place,

temporal workaround, which does not require Trillian

  1. Sign in into messenger from hotmail.com
  2. Try signing in into Adium normally and it should work

comment:22 Changed 9 years ago by sphynx

Ticket #14980 has been marked as a duplicate of this ticket.

comment:23 Changed 9 years ago by Robby

  • Component changed from Service/MSN to Libpurple
  • Milestone set to Adium 1.4.2
  • Summary changed from Getting disconnected MSN (Signed in from another location) to MSN: "Signed in from another location"

comment:24 Changed 9 years ago by Robby

  • Severity changed from normal to major

comment:25 Changed 9 years ago by Mok

try closing all hotmail browser browsers (at work, at home, etc) before trying to log into msn.

comment:26 Changed 9 years ago by jsmitley

+!

Also, I only log in via this computer.

comment:27 Changed 9 years ago by ShawnRisk

I was signed into Hotmail when I tried to log into MSN, and I got the same errors. I had to logout and wait a bit before I was able to log into MSN on Adium.

comment:28 Changed 9 years ago by Robby

  • Component changed from Libpurple to Service/MSN
  • Summary changed from MSN: "Signed in from another location" to "Signed in from another location" (libpurple)

comment:29 Changed 9 years ago by Robby

Ticket #14997 has been marked as a duplicate of this ticket.

comment:30 Changed 9 years ago by Robby

  • Resolution set to fixed
  • Status changed from new to closed

Libpurple has been updated to 2.7.10 in Adium 1.4.2hg source which should enable multiple points of presence support (#11730) so you shouldn't see this in Adium 1.4.2 anymore. :)

Having tested this myself I'll consider this fixed unless someone finds otherwise.

comment:31 Changed 9 years ago by andrer

Excellent, thank you. By the way, why is http://beta.adium.im/ no longer functional?
It'd be great if we could keep using beta versions before the main releases.

Last edited 9 years ago by andrer (previous) (diff)

comment:32 Changed 9 years ago by sphynx

There is simply no beta available at the moment. We hope to have a beta of 1.4.2 soon.

comment:33 Changed 9 years ago by lenalok

I am having the same problem too. It's been a few weeks! My mac is OS X version 10.6.6. My adium is the version 1.4.1. Ever since I updated my adium i've not been able to log on. It says exactly the same thing- Error: "You have signed in from another location." So until you guys update adium I can't use adium on my mac !? :(

comment:34 Changed 9 years ago by ricardovj

I'm having the same problem, it started happening when I logged on to msn live websites on Chrome and set it to keep me logged in.

As jassa suggested above, if I go to hotmail.com first I'm then able to sign on with Adium...

comment:35 Changed 9 years ago by juanb

I started experiencing this problem today, in my case it doesn't matter if I login to hotmail first or not, and I don't have it set to sign in to messenger using the web interface.

comment:36 Changed 9 years ago by juanb

Maybe hotmail has something to do with this? When I login using the web interface, I get errors like this in the Firefox error console: Error: $0.imServiceData is null
Source File: https://secure.wlxrs.com/_D/F$Live.SiteContent.Messenger/4.2.61210/release/Microsoft.Live.Messenger.Services.Core.js
Line: 222

comment:37 Changed 9 years ago by juanb

So... I went into the preferences in Adium, unchecked the box next to the hotmail account, checked it again, and I think it reset the cookie, because from then on I was able to login.

comment:38 Changed 9 years ago by mattclegg

Thanks juanb. This worked for me after getting the error "Signed in from another location"

comment:39 follow-up: Changed 9 years ago by theosib

I've been having this problem for a while now. Unchecking and rechecking the entry in preferences doesn't work for me.

comment:40 in reply to: ↑ 39 Changed 9 years ago by juanb

Replying to theosib:

I've been having this problem for a while now. Unchecking and rechecking the entry in preferences doesn't work for me.

You know, it started to happen again, and toggling the Hotmail account checkbox in preferences didn't fix it for me, until I deleted it, restarted the app, and tried again. Not sure what's going on here, but I hope a real fix comes out soon.

comment:41 Changed 9 years ago by sphynx

Ticket #15108 has been marked as a duplicate of this ticket.

comment:42 Changed 9 years ago by nuhblo

I've had that problem also for at least three weeks ago (04.04.2011) and I tried to logout from hotmail after I get the 'Signed in from another location' message. It didn't work for me.
There are many suggestions in another forum. I read that maybe it is because of an interference of hotmail (you keep logged in into hotmail while you open adium) but I tried one thing: I open adium since I start my computer... doesn't work either.
What was useful for me is deleting the MSN account from the Preferences > Accounts menu. Then, I quit from Adium and open it again. Adium asks you to enter a new pass. You choose the same (or another) mail account and bingo! You log in into Adium MSN.
I hope this helps people as it helped me.

comment:43 Changed 9 years ago by Robby

The beta of 1.4.2 that is out should resolve this issue.

comment:44 Changed 9 years ago by ShawnRisk

When I am running 1.4.2b1 and then go run 1.5hg, I get the error "You have signed on from another location." This has happened to me twice and I thought this was fixed as I tested this out earlier with Robby and this was working.

comment:45 Changed 8 years ago by rmdr

The error seems to affect me only when I'm adding contacts or when I receive invitations from other people. After I use the Hotmail website to successfully add them, it works just fine.

comment:46 Changed 8 years ago by theosib

For me, I had everything working fine, and then one day, I started getting this error. I haven't added MSN contacts in ages.

comment:47 Changed 8 years ago by David Munch

Cpuroast on IRC reported seeing this again with 1.4.3rc2.

comment:48 Changed 8 years ago by David Munch

  • Keywords MPOP MSN added
  • Milestone changed from Adium 1.4.2 to Adium 1.4.3
  • Resolution fixed deleted
  • Status changed from closed to new
  • Version changed from 1.4.1 to 1.4.3rc1

Reopening as users are apparently seeing this again, for both 1.4.2 and 1.4.3rc2.

comment:49 Changed 8 years ago by Robby

  • Status changed from new to pending

Please follow the instructions to get a debug log and attach it to this ticket.

Changed 8 years ago by ShawnRisk

When I log into Hotmail and close this down and try to log into MSN on Adium, this is the debug log.

comment:50 Changed 8 years ago by Robby

  • Status changed from pending to new

comment:51 Changed 8 years ago by Weasure

The problem is Hotmail. When you sign into Hotmail, the left-hand side (where 'Inbox' is located) also shows a 'Messenger'. So, logging into Hotmail = logging into MSN Messenger again, thus showing the 'You signed in from another location' warning. Simply signing out of that Messenger solves the issue.

comment:52 Changed 8 years ago by Robby

  • Milestone changed from Adium 1.4.3 to Adium 1.4.4

comment:53 Changed 8 years ago by danielgq

I'm having the same issue since this morning just after I performed an Adium upgrade to 1.4.3.

Before this upgrade, I was successfully able to log in on my msn account using Adium and connect simultaneously using the same msn account on EMO on my iPhone and my iPad for example... I was even able to connect on windows live again all at the same time.

For some reason, this upgrade would not allow to use the multiple login option as it used to did before. If you connect to msn using adium, it will disconnect me from all my other devices automatically.

Please help us out to resolve this issue. It's very very useful to have the option to login on multiple devices.

Last edited 8 years ago by danielgq (previous) (diff)

comment:55 follow-up: Changed 8 years ago by danielgq

Wow... it's a bit disappointing... For me Adium was the best client for MAC and we used to have all the features offered for PC clients...
I know a lot of people do not like MPOP but a lot of people do like it.

I think you should give users the option to use it or not... like MSN... you have the option to disconnect anyone else connected from a different device than the computer you're using at that particular time. If you want to disconnect all of the other sessions then you just do it, if not, you can stay connected and have all your messages delivered on all your devices.

It's a bit sad you decided to remove that option for all of the users... :(

comment:56 in reply to: ↑ 55 Changed 8 years ago by David Munch

Replying to danielgq:

Wow... it's a bit disappointing... For me Adium was the best client for MAC and we used to have all the features offered for PC clients...
I know a lot of people do not like MPOP but a lot of people do like it.

This is not a question about 'who likes it' or not. It is a question about what makes the most sense, from the viewpoint of the entire userbase. More people would surely prefer avatars, file transfers and emoticons over the option to login at more than one place.

I think you should give users the option to use it or not... like MSN... you have the option to disconnect anyone else connected from a different device than the computer you're using at that particular time. If you want to disconnect all of the other sessions then you just do it, if not, you can stay connected and have all your messages delivered on all your devices.

That would require maintaining two editions of each release of Adium at the same time, which is definitely not an option.

It's a bit sad you decided to remove that option for all of the users... :(

You are welcome to fix all issues mentioned with LibPurples MSNP16 implementation, and we'd be happy to add it back in. Most developers don't use MSN, and as such have no point in spending their free time working on such a major project.

You are also welcome to compile source with MSNP16 support, the code is freely available on this site. Adium 1.4.2 is also working fine as you say.

Last edited 8 years ago by David Munch (previous) (diff)

comment:57 follow-up: Changed 8 years ago by DPattee

So if MPOP was removed due to user feedback indicating user icons and custom emoticons was more important, what is the proper way to provide feedback that MPOP is important?

MPOP was the reason that I use Adium. I'm reverting to 1.4.2 for now, but that means I'm going to be missing out on other important security updates or Lion-related improvements :(

comment:58 in reply to: ↑ 57 Changed 8 years ago by David Munch

Replying to DPattee:

So if MPOP was removed due to user feedback indicating user icons and custom emoticons was more important, what is the proper way to provide feedback that MPOP is important?

Write in this ticket. But you shouldn't expect it back until there's a reliable way of implementing it, and given the lack of development of the MSN protocol in LibPurple, that can take quite a while.

comment:59 Changed 8 years ago by Robby

Ticket #15527 has been marked as a duplicate of this ticket.

comment:60 Changed 8 years ago by wolfkain

I solved this problem by manually replacing libpurple.framework with the one that came with 1.4.2 and everything works now as expected!!

What i did:

  1. Uninstall Adium 1.4.3
  2. Install Adium 1.4.2
  3. Show Package Contents on Adium 1.4.2 application and navigate to Contents/Frameworks
  4. Copy libpurple.framework folder to desktop
  5. Update to Adium 1.4.3
  6. Quit Adium
  7. Show Package Contents on Adium 1.4.3 application and navigate to Contents/Frameworks
  8. Replace the libpurple.framework folder with the one from the Desktop
  9. Keep the libpurple.framework for future replacements

So until libpurple fix their code for MSN i will use the framework that currently works!

Last edited 8 years ago by wolfkain (previous) (diff)

comment:61 Changed 8 years ago by Robby

Ticket #15611 has been marked as a duplicate of this ticket.

comment:62 Changed 8 years ago by mathuaerknedam

Ticket #15637 has been marked as a duplicate of this ticket.

comment:63 Changed 8 years ago by Robby

  • Milestone changed from Adium 1.4.4 to Adium 1.4.5

comment:64 Changed 8 years ago by sphynx

Ticket #15739 has been marked as a duplicate of this ticket.

comment:65 follow-up: Changed 8 years ago by hylan85

Yeah, this is still happening, two years later that's pretty retarded... How about a fix?

comment:66 in reply to: ↑ 65 Changed 8 years ago by David Munch

Replying to hylan85:

Yeah, this is still happening, two years later that's pretty retarded... How about a fix?

I suggest you read comment #1.

Edit: Or comment #58.

Last edited 8 years ago by Robby (previous) (diff)

comment:67 follow-up: Changed 8 years ago by loosescrews

You can work around this issue by simply disabling the chat encryption in account settings under security or back rev'ing libpurple as described in comment # 60.

I chose the former as what the hell am I going to say on IM that I care if any one reads.

comment:68 in reply to: ↑ 67 Changed 8 years ago by sphynx

Replying to loosescrews:

You can work around this issue by simply disabling the chat encryption in account settings under security or back rev'ing libpurple as described in comment # 60.

I chose the former as what the hell am I going to say on IM that I care if any one reads.

That setting makes absolutely no difference when logging in, it's more likely the server "randomly" decided to let you log in again.

comment:69 Changed 8 years ago by liz4cps

A workaround that helped me tonight:

First, use the MSN website to sign into MSN Messenger by logging in there and then use the menu at the top of the page to connect to Messenger. Next, go back to Adium and sign onto MSN Messenger there. That will disconnect you from Messenger on the site and allow Adium to login correctly.

comment:70 Changed 8 years ago by Robby

  • Milestone Adium 1.4.5 deleted
  • Resolution set to notadiumcode
  • Status changed from new to closed

Evidence suggests the issue lies with libpurple. As we have stated before we will use libpurple's implementation of MSNP16 support with multiple points of presence (mpop) support once it's usable.

comment:71 follow-up: Changed 8 years ago by Mok

issue is reoccuring again after i upgraded to adium 1.5

-You have signed on from another location

I can't login!

comment:72 in reply to: ↑ 71 ; follow-up: Changed 8 years ago by todo

Replying to Mok:

issue is reoccuring again after i upgraded to adium 1.5

-You have signed on from another location

I can't login!

I second this. I can login via hotmail.com and pidgin 2.10.3, but not with adium 1.5.

comment:73 in reply to: ↑ 72 ; follow-up: Changed 8 years ago by liz4cps

Replying to todo:

Replying to Mok:

issue is reoccuring again after i upgraded to adium 1.5

-You have signed on from another location

I can't login!

I second this. I can login via hotmail.com and pidgin 2.10.3, but not with adium 1.5.

This worked for me:

  1. Go to the MSN website and log in.
  2. Use the menu at the top of the page to connect to Messenger.
  3. Go back to Adium and sign onto MSN Messenger there.

That will disconnect you from Messenger on the site and allow Adium to login correctly.

comment:74 in reply to: ↑ 73 ; follow-up: Changed 8 years ago by todo

Replying to liz4cps:

Replying to todo:

Replying to Mok:

issue is reoccuring again after i upgraded to adium 1.5

-You have signed on from another location

I can't login!

I second this. I can login via hotmail.com and pidgin 2.10.3, but not with adium 1.5.

This worked for me:

  1. Go to the MSN website and log in.
  2. Use the menu at the top of the page to connect to Messenger.
  3. Go back to Adium and sign onto MSN Messenger there.

That will disconnect you from Messenger on the site and allow Adium to login correctly.

I guess I wasn't very clear earlier.

When I said, I login via hotmail.com, that took me through login.live.com, then I login to Messenger via the browser. Afterward, I went back to Adium, and it's still not working.

I even tried login with Microsoft Messenger for Mac v 8.0.1 (110309), then go back to adium, and that still failed.

comment:75 Changed 8 years ago by theosib

I logged into Messenger from the Hotmail web site. Suddenly, I could login via Adium. But I'm STILL logged in via the web site, and the browser window is still open. If you are still having trouble, have you signed out on the web site and/or closed the browser window?

comment:76 Changed 8 years ago by jassa

I dont give a shit anymore, I can't believe there is no "unsubscribe" button, I'll have to send adium to junk mail

comment:77 in reply to: ↑ 74 ; follow-up: Changed 8 years ago by liz4cps

Replying to todo:

When I said, I login via hotmail.com, that took me through login.live.com, then I login to Messenger via the browser. Afterward, I went back to Adium, and it's still not working.

I even tried login with Microsoft Messenger for Mac v 8.0.1 (110309), then go back to adium, and that still failed.

Hmmm... You're probably doing this, too, but just in case. Leave yourself signed in to Messenger in the browser when you go back to Adium and try to connect. I think when I connected in Adium, it signed me out of Messenger in the browser, and it's worked fine in the months since.

If you're already doing this or it doesn't make any difference, I'm not sure. I'm trying to remember which chat protocol now allows multiple logins that didn't previously allow that. If it is MSN Messenger, that might explain changes in how this works.

PS Sorry, jassa, about the emails; odd that there's no unsubscribe...

comment:78 in reply to: ↑ 77 Changed 8 years ago by todo

Replying to liz4cps:

Replying to todo:

When I said, I login via hotmail.com, that took me through login.live.com, then I login to Messenger via the browser. Afterward, I went back to Adium, and it's still not working.

I even tried login with Microsoft Messenger for Mac v 8.0.1 (110309), then go back to adium, and that still failed.

Hmmm... You're probably doing this, too, but just in case. Leave yourself signed in to Messenger in the browser when you go back to Adium and try to connect. I think when I connected in Adium, it signed me out of Messenger in the browser, and it's worked fine in the months since.

Somehow, MSN's backend has recovered, so I am not in that state any more. So I cannot give your suggestion a try.
However, I'll be that if it ever happens again.

comment:79 follow-up: Changed 8 years ago by theosib

It worked for me very briefly, but it's stopped working again.

comment:80 in reply to: ↑ 79 Changed 8 years ago by todo

Replying to theosib:

It worked for me very briefly, but it's stopped working again.

For some reason, it works just now. That's funky.

Note: See TracTickets for help on using tickets.